"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
require("../../yamui");
var React = require("react");
var classNames_1 = require("../../util/classNames");
var Block_1 = require("../Block");
var Clickable_1 = require("../Clickable");
var FixedGrid_1 = require("../FixedGrid");
var Icon_1 = require("../Icon");
var NavigationLink_1 = require("../NavigationLink");
require("./ActionLink.css");
/**
 * An actionable element with icon and text which will either render a button with an onClick callback
 * or a navigation link.
 */
var ActionLink = /** @class */ (function (_super) {
    __extends(ActionLink, _super);
    function ActionLink() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    ActionLink.prototype.render = function () {
        var _a = this.props, ariaLabel = _a.ariaLabel, className = _a.className, Icon = _a.icon, text = _a.text;
        var classNames = classNames_1.join(['y-actionLink', className]);
        var content = (React.createElement(FixedGrid_1.FixedGridRow, { gutterSize: FixedGrid_1.GutterSize.SMALL, className: "y-actionLink--wrapper" },
            React.createElement(FixedGrid_1.FixedGridColumn, { fixed: true },
                React.createElement(Icon, { size: Icon_1.IconSize.MEDIUM, block: true, className: "y-actionLink--icon" })),
            React.createElement(FixedGrid_1.FixedGridColumn, null,
                React.createElement(Block_1.default, { textSize: Block_1.TextSize.MEDIUM_SUB }, text))));
        if (this.props.href) {
            return (React.createElement(NavigationLink_1.default, { href: this.props.href, newWindow: this.props.newWindow, ariaLabel: ariaLabel, className: classNames, block: true }, content));
        }
        return (React.createElement(Clickable_1.default, { onClick: this.props.onClick, ariaLabel: ariaLabel, className: classNames, block: true }, content));
    };
    return ActionLink;
}(React.Component));
exports.default = ActionLink;
//# sourceMappingURL=ActionLink.js.map