"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
require("../../yamui");
var React = require("react");
var Block_1 = require("../Block");
var FixedGrid_1 = require("../FixedGrid");
var Heading_1 = require("../Heading");
var Text_1 = require("../Text");
require("./AsideSection.css");
/**
 * A section component to be used primarily for sidebar modules
 */
var AsideSection = /** @class */ (function (_super) {
    __extends(AsideSection, _super);
    function AsideSection() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    AsideSection.prototype.render = function () {
        return (React.createElement("div", { className: "y-aside-section" },
            React.createElement(Block_1.default, { textSize: Text_1.TextSize.SMALL },
                React.createElement(FixedGrid_1.FixedGridRow, { className: "y-aside-section--header", bottomSpacing: FixedGrid_1.GutterSize.SMALL },
                    React.createElement(FixedGrid_1.FixedGridColumn, null,
                        React.createElement(Heading_1.default, { level: "2", size: "none" },
                            React.createElement(Text_1.default, { uppercase: true, bold: true }, this.props.title))),
                    this.getActionColumn())),
            React.createElement("div", null, this.props.children)));
    };
    AsideSection.prototype.getActionColumn = function () {
        if (this.props.action) {
            return React.createElement(FixedGrid_1.FixedGridColumn, { fixed: true }, this.props.action);
        }
        return null;
    };
    return AsideSection;
}(React.Component));
exports.default = AsideSection;
//# sourceMappingURL=AsideSection.js.map