"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
var React = require("react");
var enzyme_1 = require("enzyme");
var Clickable_1 = require("../Clickable");
var _1 = require(".");
describe('<AsideSection />', function () {
    var component;
    describe('With minimal options', function () {
        beforeEach(function () {
            component = enzyme_1.shallow(React.createElement(_1.default, { title: "Test title" }));
        });
        it('matches snapshot', function () {
            expect(component).toMatchSnapshot();
        });
    });
    describe('with action prop', function () {
        beforeEach(function () {
            var action = React.createElement(Clickable_1.default, null, "Add");
            component = enzyme_1.shallow(React.createElement(_1.default, { title: "Test title", action: action }));
        });
        it('renders the action in its own FixedGridColumn', function () {
            expect(component).toMatchSnapshot();
        });
    });
    describe('with children', function () {
        beforeEach(function () {
            component = enzyme_1.shallow(React.createElement(_1.default, { title: "Test title" },
                React.createElement("div", null, "Child Content")));
        });
        it('matches the snapshot', function () {
            expect(component).toMatchSnapshot();
        });
    });
});
//# sourceMappingURL=AsideSection.test.js.map