"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
var React = require("react");
var enzyme_1 = require("enzyme");
var Text_1 = require("../Text");
var _1 = require(".");
describe('<Avatar />', function () {
    var component;
    describe('with image url', function () {
        beforeEach(function () {
            component = enzyme_1.shallow(React.createElement(_1.default, { name: "NAME", imageUrl: "test.jpg" }));
        });
        it('matches its snapshot', function () {
            expect(component).toMatchSnapshot();
        });
    });
    describe('with too many characters', function () {
        beforeEach(function () {
            component = enzyme_1.shallow(React.createElement(_1.default, { name: "First Last" }));
        });
        it('matches its snapshot', function () {
            expect(component).toMatchSnapshot();
        });
    });
    describe('with badge content', function () {
        beforeEach(function () {
            component = enzyme_1.shallow(React.createElement(_1.default, { name: "NAME", imageUrl: "test.jpg", size: _1.AvatarSize.XSMALL, badgeContent: React.createElement(Text_1.default, null, "badge") }));
        });
        it('matches its snapshot', function () {
            expect(component).toMatchSnapshot();
        });
    });
    describe('with soft border type', function () {
        beforeEach(function () {
            component = enzyme_1.shallow(React.createElement(_1.default, { name: "NAME", imageUrl: "test.jpg", borderType: _1.BorderType.SOFT }));
        });
        it('matches its snapshot', function () {
            expect(component).toMatchSnapshot();
        });
    });
    describe('with size', function () {
        beforeEach(function () {
            component = enzyme_1.shallow(React.createElement(_1.default, { name: "NAME", imageUrl: "test.jpg", size: _1.AvatarSize.XLARGE }));
        });
        it('matches its snapshot', function () {
            expect(component).toMatchSnapshot();
        });
    });
    describe('with additional className', function () {
        beforeEach(function () {
            component = enzyme_1.shallow(React.createElement(_1.default, { name: "NAME", imageUrl: "test.jpg", className: "TEST_CLASSNAME" }));
        });
        it('matches its snapshot', function () {
            expect(component).toMatchSnapshot();
        });
    });
    describe('accessible text', function () {
        describe('without badge description', function () {
            beforeEach(function () {
                component = enzyme_1.shallow(React.createElement(_1.default, { name: "NAME", imageUrl: "test.jpg" }));
            });
            it('matches its snapshot', function () {
                expect(component).toMatchSnapshot();
            });
        });
        describe('with badge description', function () {
            beforeEach(function () {
                component = enzyme_1.shallow(React.createElement(_1.default, { name: "NAME", imageUrl: "test.jpg", badgeDescription: "BADGE" }));
            });
            it('matches its snapshot', function () {
                expect(component).toMatchSnapshot();
            });
        });
    });
});
//# sourceMappingURL=Avatar.test.js.map