"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
require("../../yamui");
var React = require("react");
var classNames_1 = require("../../util/classNames");
var Clickable_1 = require("../Clickable");
var types_1 = require("../FixedGrid/types");
exports.GutterSize = types_1.GutterSize;
var types_2 = require("../Text/types");
exports.TextColor = types_2.TextColor;
exports.TextSize = types_2.TextSize;
var Block_styles_1 = require("./Block.styles");
var styling_1 = require("@uifabric/styling");
var defaultContext = {};
exports.BlockContext = React.createContext(defaultContext);
/**
 * A `Block` is a layout component to build consistent padding and vertical spacing between
 * components. It allows you to `push` a chunk of UI up or down by individual pixels to keep text in
 * the `4px` vertical rhythm. It's also the primary place you should set `textSize` in your UIs,
 * providing enumerated options for the supported `font-size`/`line-height` combinations.
 */
var Block = /** @class */ (function (_super) {
    __extends(Block, _super);
    function Block() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Block.prototype.render = function () {
        var _this = this;
        var _a = this.props, children = _a.children, textSize = _a.textSize;
        return (React.createElement(Clickable_1.ClickableContext.Consumer, null, function (clickableContext) { return (React.createElement(exports.BlockContext.Provider, { value: { textSize: textSize } },
            React.createElement("div", { className: _this.getClasses(clickableContext.withinClickable) },
                React.createElement("div", { className: "y-block--inner " + styling_1.mergeStyles(Block_styles_1.getInnerStyles(_this.props)) }, children)))); }));
    };
    Block.prototype.getClasses = function (withinClickable) {
        var _a = this.props, className = _a.className, textSize = _a.textSize;
        return classNames_1.join([
            'y-block',
            textSize ? "y-textSize-" + textSize : '',
            className,
            styling_1.mergeStyles(Block_styles_1.getStyles(__assign({}, this.props, { withinClickable: withinClickable }))),
        ]);
    };
    return Block;
}(React.Component));
exports.default = Block;
//# sourceMappingURL=Block.js.map