"use strict";
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var fonts_1 = require("../../util/styles/fonts");
var gutters_1 = require("../../util/styles/gutters");
var getMarginTop = function (topSpacing, push) {
    if (push) {
        // For negative push, use top margin to "pull" it up
        return push < 0 ? push / 10 + "rem" : undefined;
    }
    if (topSpacing) {
        return gutters_1.gutterSize[topSpacing];
    }
};
exports.getStyles = function (props) {
    var push = props.push, textSize = props.textSize, topSpacing = props.topSpacing, bottomSpacing = props.bottomSpacing, textAlign = props.textAlign, textColor = props.textColor, withinClickable = props.withinClickable;
    return {
        textAlign: textAlign,
        width: withinClickable ? '100%' : undefined,
        color: textColor ? fonts_1.textColors[textColor] : undefined,
        fontSize: textSize ? fonts_1.fontSizes[textSize] : undefined,
        lineHeight: textSize ? fonts_1.lineHeights[textSize] : undefined,
        marginTop: getMarginTop(topSpacing, push),
        marginBottom: bottomSpacing ? gutters_1.gutterSize[bottomSpacing] : undefined,
        // For positive push, "push" it down with top padding (because margins can collapse).
        paddingTop: push && push > 0 ? push / 10 + "rem" : undefined,
    };
};
exports.getInnerStyles = function (props) {
    var padding = props.padding, horizontalPadding = props.horizontalPadding, verticalPadding = props.verticalPadding, ellipsis = props.ellipsis;
    return __assign({}, (ellipsis ? fonts_1.ellipsisStyle : {}), { padding: padding ? gutters_1.gutterSize[padding] : undefined }, (horizontalPadding
        ? {
            paddingLeft: gutters_1.gutterSize[horizontalPadding],
            paddingRight: gutters_1.gutterSize[horizontalPadding],
        }
        : {}), (verticalPadding
        ? {
            paddingTop: gutters_1.gutterSize[verticalPadding],
            paddingBottom: gutters_1.gutterSize[verticalPadding],
        }
        : {}), { wordWrap: 'break-word', overflowWrap: 'break-word' });
};
//# sourceMappingURL=Block.styles.js.map