"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
var React = require("react");
var enzyme_1 = require("enzyme");
var index_1 = require("./index");
describe('<Box />', function () {
    var component;
    describe('with default options', function () {
        beforeEach(function () {
            component = enzyme_1.shallow(React.createElement(index_1.default, null));
        });
        it('matches its snapshot', function () {
            expect(component).toMatchSnapshot();
        });
    });
    describe('with additional className', function () {
        beforeEach(function () {
            component = enzyme_1.shallow(React.createElement(index_1.default, { className: "TEST_CLASSNAME" }));
        });
        it('matches its snapshot', function () {
            expect(component).toMatchSnapshot();
        });
    });
    describe('with children passed', function () {
        beforeEach(function () {
            component = enzyme_1.shallow(React.createElement(index_1.default, null));
        });
        it('matches its snapshot', function () {
            expect(component).toMatchSnapshot();
        });
    });
    describe('with onClick', function () {
        var onClick;
        beforeEach(function () {
            onClick = jest.fn();
            component = enzyme_1.shallow(React.createElement(index_1.default, { onClick: onClick }, "click me"));
        });
        describe('when clicked', function () {
            beforeEach(function () {
                component.simulate('click');
            });
            it('triggers the onClick callback', function () {
                expect(onClick).toHaveBeenCalledTimes(1);
            });
        });
    });
});
//# sourceMappingURL=Box.test.js.map