/// <reference types="react" />
import '../../yamui';
import * as React from 'react';
import { ButtonProps } from './Button';
export declare type CustomizableProps = 'color' | 'text' | 'ariaLabel' | 'icon' | 'iconPosition' | 'className';
export declare type CustomizableButtonProps = Pick<ButtonProps, CustomizableProps>;
export interface BistateButtonOwnProps {
    activeProps: CustomizableButtonProps;
}
export declare type BistateButtonProps = BistateButtonOwnProps & ButtonProps;
export interface BistateButtonState {
    hasFocus: boolean;
    isHovering: boolean;
}
/**
 * A `Button` that renders differently when 'active'; if the mouse is hovering or it has focus
 */
export default class BistateButton extends React.Component<BistateButtonProps, BistateButtonState> {
    constructor(props: BistateButtonProps);
    render(): JSX.Element;
    private isActive;
    private onFocus;
    private onMouseEnter;
    private onBlur;
    private onMouseLeave;
}
