"use strict";
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
var colors_1 = require("../../util/colors");
var types_1 = require("./types");
var fonts_1 = require("../../util/styles/fonts");
var borders_1 = require("../../util/styles/borders");
var smallPadding = '4px 9px 6px';
var regularPadding = '7px 15px';
var primaryColors = {
    root: {
        color: colors_1.palette.white,
        backgroundColor: colors_1.palette.themeDark,
        borderColor: colors_1.palette.themeDark,
    },
    rootHovered: {
        color: colors_1.palette.white,
        backgroundColor: colors_1.palette.themeDarkAlt,
        borderColor: colors_1.palette.themeDarkAlt,
        textDecoration: 'none',
    },
    rootFocused: {
        color: colors_1.palette.white,
        backgroundColor: colors_1.palette.themeDarkAlt,
        borderColor: colors_1.palette.themeDarkAlt,
    },
    rootPressed: {
        color: colors_1.palette.white,
        backgroundColor: colors_1.palette.themeDarker,
        borderColor: colors_1.palette.themeDarker,
    },
};
var secondaryColors = {
    root: {
        color: colors_1.palette.themeDark,
        backgroundColor: colors_1.palette.white,
        borderColor: colors_1.palette.neutralDark,
    },
    rootHovered: {
        color: colors_1.palette.themeDark,
        backgroundColor: colors_1.palette.white,
        borderColor: colors_1.palette.themeLighter,
        textDecoration: 'none',
    },
    rootFocused: {
        color: colors_1.palette.themeDark,
        backgroundColor: colors_1.palette.white,
        borderColor: colors_1.palette.themeLighter,
    },
    rootPressed: {
        color: colors_1.palette.themeDark,
        backgroundColor: colors_1.palette.white,
        borderColor: colors_1.palette.themePrimary,
    },
};
exports.getStyles = function (props) {
    var size = props.size, color = props.color, status = props.status, fullWidth = props.fullWidth;
    var colors = color === types_1.ButtonColor.PRIMARY ? primaryColors : secondaryColors;
    var root = colors.root, rootHovered = colors.rootHovered, rootFocused = colors.rootFocused, rootPressed = colors.rootPressed;
    return {
        root: __assign({}, root, { borderRadius: borders_1.borderRadiusSoft, fontWeight: fonts_1.fontWeights.bold, textAlign: 'center', display: fullWidth ? 'block' : 'inline-block', position: 'relative', whiteSpace: 'nowrap', transition: 'all 0.05s ease-out', borderWidth: '1px', borderStyle: 'solid', boxShadow: '0 1px 1px 0 rgba(0, 0, 0, 0.05)', padding: size === types_1.ButtonSize.REGULAR ? regularPadding : smallPadding, cursor: status === types_1.ButtonStatus.ENABLED ? 'pointer' : 'default', opacity: status === types_1.ButtonStatus.DISABLED ? '0.5' : '1', width: fullWidth ? '100%' : undefined }),
        rootHovered: __assign({}, rootHovered),
        rootFocused: __assign({}, rootFocused),
        rootPressed: __assign({}, rootPressed),
    };
};
//# sourceMappingURL=Button.styles.js.map