"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
require("../../yamui");
var React = require("react");
var FakeLink_1 = require("../FakeLink");
require("./Clickable.css");
var defaultContext = { withinClickable: false };
exports.ClickableContext = React.createContext(defaultContext);
/**
 * A `Clickable` is an accessible, clickable area that accepts arbitrary children. It is styled
 * like a link by default, but can also be unstyled. Under the hood `Clickable` simply wraps
 * content in a `button` element.
 */
var Clickable = /** @class */ (function (_super) {
    __extends(Clickable, _super);
    function Clickable(props) {
        var _this = _super.call(this, props) || this;
        _this.buttonRef = React.createRef();
        if (_this.props.focusableRef) {
            _this.props.focusableRef(_this);
        }
        return _this;
    }
    Clickable.prototype.render = function () {
        var _a = this.props, ariaLabel = _a.ariaLabel, title = _a.title, unstyled = _a.unstyled, onClick = _a.onClick, children = _a.children;
        return (React.createElement(exports.ClickableContext.Provider, { value: { withinClickable: true } },
            React.createElement("button", { className: this.getClasses(), "aria-label": ariaLabel, title: title, onClick: onClick, type: "button", ref: this.buttonRef }, unstyled ? children : React.createElement(FakeLink_1.default, null, children))));
    };
    Clickable.prototype.focus = function () {
        var button = this.buttonRef.current;
        if (button) {
            button.focus();
        }
    };
    Clickable.prototype.getClasses = function () {
        var _a = this.props, block = _a.block, className = _a.className;
        var classes = ['y-clickable'];
        if (block) {
            classes.push('y-clickable__block');
        }
        if (className) {
            classes.push(className);
        }
        return classes.join(' ');
    };
    return Clickable;
}(React.Component));
exports.default = Clickable;
//# sourceMappingURL=Clickable.js.map