"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
require("../../yamui");
var React = require("react");
require("./FixedGrid.css");
/**
 * A `FixedGridColumn` represents each column inside a `FixedGrid`. It should be wrapped in a
 * `FixedGridRow`.
 */
var FixedGridColumn = /** @class */ (function (_super) {
    __extends(FixedGridColumn, _super);
    function FixedGridColumn() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    FixedGridColumn.prototype.render = function () {
        var _a = this.props, children = _a.children, verticalAlign = _a.verticalAlign;
        var hasVerticalAlign = verticalAlign && verticalAlign !== 'top';
        // NOTE: We achieve vertical-align with flexbox. The extra inner div prevents direct children
        //       from receiving flex-child styling and getting wonky vertical alignment.
        var content = !hasVerticalAlign ? (children) : (React.createElement("div", { className: "y-fixedGridColumn--inner__" + verticalAlign },
            React.createElement("div", null, children)));
        return (React.createElement("div", { className: this.getClasses(), style: this.getStyle() }, content));
    };
    FixedGridColumn.prototype.getClasses = function () {
        var _a = this.props, className = _a.className, fixed = _a.fixed, width = _a.width;
        var classes = ['y-fixedGridColumn'];
        if (fixed) {
            classes.push('y-fixedGridColumn__isFixed');
        }
        if (width) {
            classes.push('y-fixedGridColumn__hasWidth');
        }
        if (className) {
            classes.push(className);
        }
        return classes.join(' ');
    };
    FixedGridColumn.prototype.getStyle = function () {
        var _a = this.props, fixed = _a.fixed, width = _a.width;
        var styles = {};
        // Only set a width on a fixed column
        if (!fixed || !width) {
            return styles;
        }
        styles.width = width + "px";
        return styles;
    };
    return FixedGridColumn;
}(React.Component));
exports.default = FixedGridColumn;
//# sourceMappingURL=FixedGridColumn.js.map