"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
var React = require("react");
var enzyme_1 = require("enzyme");
var _1 = require(".");
describe('<FixedGridColumn />', function () {
    var component;
    describe('with default options', function () {
        beforeEach(function () {
            component = enzyme_1.shallow(React.createElement(_1.FixedGridColumn, null, "grid content"));
        });
        it('matches its snapshot', function () {
            expect(component).toMatchSnapshot();
        });
    });
    describe('with additional className', function () {
        beforeEach(function () {
            component = enzyme_1.shallow(React.createElement(_1.FixedGridColumn, { className: "TEST_CLASSNAME" }, "grid content"));
        });
        it('matches its snapshot', function () {
            expect(component).toMatchSnapshot();
        });
    });
    describe('when set to fixed', function () {
        beforeEach(function () {
            component = enzyme_1.shallow(React.createElement(_1.FixedGridColumn, { fixed: true }, "grid content"));
        });
        it('matches its snapshot', function () {
            expect(component).toMatchSnapshot();
        });
    });
    describe('when set to fixed and given a width', function () {
        beforeEach(function () {
            component = enzyme_1.shallow(React.createElement(_1.FixedGridColumn, { fixed: true, width: 150 }, "grid content"));
        });
        it('matches its snapshot', function () {
            expect(component).toMatchSnapshot();
        });
    });
    describe('when given a width but not fixed', function () {
        beforeEach(function () {
            component = enzyme_1.shallow(React.createElement(_1.FixedGridColumn, { width: 150 }, "grid content"));
        });
        it('matches its snapshot', function () {
            expect(component).toMatchSnapshot();
        });
    });
    describe('with vertical align middle', function () {
        beforeEach(function () {
            component = enzyme_1.shallow(React.createElement(_1.FixedGridColumn, { verticalAlign: "middle" }, "grid content"));
        });
        it('matches its snapshot', function () {
            expect(component).toMatchSnapshot();
        });
    });
});
//# sourceMappingURL=FixedGridColumn.test.js.map