"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
require("../../yamui");
var React = require("react");
var types_1 = require("./types");
exports.GutterSize = types_1.GutterSize;
require("./FixedGrid.css");
/**
 * A `FixedGridRow` represents each row inside a `FixedGrid`. It should wrap `FixedGridColumn`s.
 */
var FixedGridRow = /** @class */ (function (_super) {
    __extends(FixedGridRow, _super);
    function FixedGridRow() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    FixedGridRow.prototype.render = function () {
        var children = this.props.children;
        return React.createElement("div", { className: this.getClasses() }, children);
    };
    FixedGridRow.prototype.getClasses = function () {
        var _a = this.props, bottomSpacing = _a.bottomSpacing, className = _a.className, gutterSize = _a.gutterSize;
        var classes = ['y-fixedGridRow', "y-fixedGridRow__gutter-" + gutterSize];
        if (bottomSpacing) {
            classes.push("y-fixedGridRow__bottomSpacing-" + bottomSpacing);
        }
        if (className) {
            classes.push(className);
        }
        return classes.join(' ');
    };
    FixedGridRow.defaultProps = {
        gutterSize: types_1.GutterSize.SMALL,
    };
    return FixedGridRow;
}(React.Component));
exports.default = FixedGridRow;
//# sourceMappingURL=FixedGridRow.js.map