"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
var React = require("react");
var enzyme_1 = require("enzyme");
var _1 = require(".");
describe('<FixedGridRow />', function () {
    var component;
    describe('with default options', function () {
        beforeEach(function () {
            component = enzyme_1.shallow(React.createElement(_1.FixedGridRow, null, "grid content"));
        });
        it('matches its snapshot', function () {
            expect(component).toMatchSnapshot();
        });
    });
    describe('with additional className', function () {
        beforeEach(function () {
            component = enzyme_1.shallow(React.createElement(_1.FixedGridRow, { className: "TEST_CLASSNAME" }, "grid content"));
        });
        it('matches its snapshot', function () {
            expect(component).toMatchSnapshot();
        });
    });
    describe('with gutter size', function () {
        beforeEach(function () {
            component = enzyme_1.shallow(React.createElement(_1.FixedGridRow, { gutterSize: _1.GutterSize.LARGE }, "grid content"));
        });
        it('matches its snapshot', function () {
            expect(component).toMatchSnapshot();
        });
    });
    describe('with bottom spacing', function () {
        beforeEach(function () {
            component = enzyme_1.shallow(React.createElement(_1.FixedGridRow, { bottomSpacing: _1.GutterSize.XLARGE }, "grid content"));
        });
        it('matches its snapshot', function () {
            expect(component).toMatchSnapshot();
        });
    });
});
//# sourceMappingURL=FixedGridRow.test.js.map