"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
var React = require("react");
var enzyme_1 = require("enzyme");
var _1 = require(".");
describe('<Heading />', function () {
    var component;
    describe('with level 1', function () {
        beforeEach(function () {
            component = enzyme_1.shallow(React.createElement(_1.default, { level: "1" }, "test content"));
        });
        it('matches its snapshot', function () {
            expect(component).toMatchSnapshot();
        });
    });
    describe('with level 2 and size 3', function () {
        beforeEach(function () {
            component = enzyme_1.shallow(React.createElement(_1.default, { level: "2", size: "3" }, "test content"));
        });
        it('matches its snapshot', function () {
            expect(component).toMatchSnapshot();
        });
    });
    describe('with size "none"', function () {
        beforeEach(function () {
            component = enzyme_1.shallow(React.createElement(_1.default, { level: "5", size: "none" }, "test content"));
        });
        it('matches its snapshot', function () {
            expect(component).toMatchSnapshot();
        });
    });
    describe('with additional className', function () {
        beforeEach(function () {
            component = enzyme_1.shallow(React.createElement(_1.default, { level: "4", className: "TEST_CLASSNAME" }, "test content"));
        });
        it('matches its snapshot', function () {
            expect(component).toMatchSnapshot();
        });
    });
});
//# sourceMappingURL=Heading.test.js.map