"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
var React = require("react");
var enzyme_1 = require("enzyme");
var HovercardHeader_1 = require("./HovercardHeader");
describe('<HovercardHeader />', function () {
    var component;
    describe('with default options', function () {
        beforeEach(function () {
            component = enzyme_1.shallow(React.createElement(HovercardHeader_1.default, null, "header content"));
        });
        it('renders its given content', function () {
            expect(component.render().text()).toEqual('header content');
        });
        it('contains its base className', function () {
            expect(component.hasClass('y-hovercard--header')).toBe(true);
        });
        it('matches its snapshot', function () {
            expect(component).toMatchSnapshot();
        });
    });
    describe('with additional className', function () {
        beforeEach(function () {
            component = enzyme_1.shallow(React.createElement(HovercardHeader_1.default, { className: "TEST_CLASSNAME" }, "header content"));
        });
        it('includes that className', function () {
            expect(component.hasClass('TEST_CLASSNAME')).toBe(true);
        });
        it('matches its snapshot', function () {
            expect(component).toMatchSnapshot();
        });
    });
});
//# sourceMappingURL=HovercardHeader.test.js.map