"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
require("../../yamui");
var React = require("react");
var types_1 = require("./types");
exports.IconSize = types_1.IconSize;
require("./Icon.css");
/**
 * An `Icon` renders an SVG icon.
 */
var BaseIcon = /** @class */ (function (_super) {
    __extends(BaseIcon, _super);
    function BaseIcon() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    BaseIcon.prototype.getClassName = function () {
        var _a = this.props, block = _a.block, className = _a.className;
        var classes = ['y-icon'];
        if (block) {
            classes.push('y-icon__isBlock');
        }
        if (className) {
            classes.push(className);
        }
        return classes.join(' ');
    };
    BaseIcon.prototype.getStyle = function () {
        var _a = this.props, color = _a.color, size = _a.size;
        var styles = {};
        if (size) {
            var length_1 = size + "px";
            styles.height = length_1;
            styles.width = length_1;
        }
        if (color) {
            styles.color = color;
        }
        return styles;
    };
    return BaseIcon;
}(React.Component));
exports.default = BaseIcon;
//# sourceMappingURL=BaseIcon.js.map