"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
var React = require("react");
var enzyme_1 = require("enzyme");
var _1 = require(".");
var allExportedIcons = require("./icons");
var Accounts_1 = require("./icons/Accounts");
describe('<Icon />', function () {
    var component;
    describe('an Icon', function () {
        describe('with minimal options', function () {
            beforeEach(function () {
                component = enzyme_1.shallow(React.createElement(Accounts_1.default, null));
            });
            it('matches its snapshot', function () {
                expect(component).toMatchSnapshot();
            });
        });
        describe('with color', function () {
            beforeEach(function () {
                component = enzyme_1.shallow(React.createElement(Accounts_1.default, { color: "blue" }));
            });
            it('matches its snapshot', function () {
                expect(component).toMatchSnapshot();
            });
        });
        describe('with block', function () {
            beforeEach(function () {
                component = enzyme_1.shallow(React.createElement(Accounts_1.default, { block: true }));
            });
            it('matches its snapshot', function () {
                expect(component).toMatchSnapshot();
            });
        });
        describe('with passed size value', function () {
            beforeEach(function () {
                component = enzyme_1.shallow(React.createElement(Accounts_1.default, { size: _1.IconSize.XXLARGE }));
            });
            it('matches its snapshot', function () {
                expect(component).toMatchSnapshot();
            });
        });
        describe('with additional className', function () {
            beforeEach(function () {
                component = enzyme_1.shallow(React.createElement(Accounts_1.default, { className: "TEST_CLASSNAME" }));
            });
            it('matches its snapshot', function () {
                expect(component).toMatchSnapshot();
            });
        });
    });
    describe('each Icon', function () {
        var Icon;
        // tslint:disable-next-line:mocha-no-side-effect-code
        Object.keys(allExportedIcons).forEach(function (name) {
            beforeEach(function () {
                Icon = allExportedIcons[name];
                component = enzyme_1.shallow(React.createElement(Icon, null));
            });
            it('has a 240x240 viewbox', function () {
                expect(component.getElement().props.viewBox).toBe('0 0 240 240');
            });
        });
    });
});
//# sourceMappingURL=Icon.test.js.map