"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
var React = require("react");
var enzyme_1 = require("enzyme");
var allExportedIllustrations = require("./illustrations");
var AccDB16_1 = require("./illustrations/AccDB16");
describe('<Illustration />', function () {
    var component;
    describe('an illustration', function () {
        describe('with minimal options', function () {
            beforeEach(function () {
                component = enzyme_1.shallow(React.createElement(AccDB16_1.default, null));
            });
            it('matches its snapshot', function () {
                expect(component).toMatchSnapshot();
            });
        });
        describe('with block', function () {
            beforeEach(function () {
                component = enzyme_1.shallow(React.createElement(AccDB16_1.default, { block: true }));
            });
            it('matches its snapshot', function () {
                expect(component).toMatchSnapshot();
            });
        });
        describe('with additional className', function () {
            beforeEach(function () {
                component = enzyme_1.shallow(React.createElement(AccDB16_1.default, { className: "TEST_CLASSNAME" }));
            });
            it('matches its snapshot', function () {
                expect(component).toMatchSnapshot();
            });
        });
    });
    describe('each illustration', function () {
        var Illustration;
        // tslint:disable-next-line:mocha-no-side-effect-code
        Object.keys(allExportedIllustrations).forEach(function (name) {
            beforeEach(function () {
                Illustration = allExportedIllustrations[name];
                component = enzyme_1.shallow(React.createElement(Illustration, null));
            });
            it('has a viewbox', function () {
                expect(component.getElement().props.viewBox).toBeDefined();
            });
        });
    });
});
//# sourceMappingURL=Illustration.test.js.map