"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
require("../../yamui");
var React = require("react");
var classNames_1 = require("../../util/classNames");
var FixedGrid_1 = require("../FixedGrid");
exports.GutterSize = FixedGrid_1.GutterSize;
require("./LayoutList.css");
/**
 * A `LayoutList` displays a list of items either horizontally or vertical. Horizontal list items
 * are evenly spaced with a fixed margin of 4px, and can be aligned to the right or left. Vertical
 * list items do not have any margin.
 */
var LayoutList = /** @class */ (function (_super) {
    __extends(LayoutList, _super);
    function LayoutList() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    LayoutList.prototype.render = function () {
        return React.createElement("ul", { className: this.getClasses() }, this.props.children);
    };
    LayoutList.prototype.getClasses = function () {
        var _a = this.props, className = _a.className, direction = _a.direction, gutterSize = _a.gutterSize;
        var defaultGutterSize = direction === 'horizontal' ? FixedGrid_1.GutterSize.XSMALL : FixedGrid_1.GutterSize.NONE;
        var classes = ['y-layoutList', "y-layoutList__" + direction, className];
        if (direction === 'horizontal') {
            var _b = this.props.align, align = _b === void 0 ? 'left' : _b;
            classes.push("y-layoutList__align-" + align);
        }
        classes.push("y-layoutList__gutterSize-" + (gutterSize || defaultGutterSize));
        return classNames_1.join(classes);
    };
    return LayoutList;
}(React.Component));
exports.default = LayoutList;
//# sourceMappingURL=LayoutList.js.map