"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
var React = require("react");
var enzyme_1 = require("enzyme");
var _1 = require(".");
describe('<LayoutList />', function () {
    var component;
    describe('as horizontal list', function () {
        describe('without props', function () {
            beforeEach(function () {
                component = enzyme_1.shallow(React.createElement(_1.LayoutList, { direction: "horizontal" }));
            });
            it('matches its snapshot', function () {
                expect(component).toMatchSnapshot();
            });
        });
        describe('with align "right"', function () {
            beforeEach(function () {
                component = enzyme_1.shallow(React.createElement(_1.LayoutList, { direction: "horizontal", align: "right" }));
            });
            it('matches its snapshot', function () {
                expect(component).toMatchSnapshot();
            });
        });
        describe('with gutterSize', function () {
            beforeEach(function () {
                component = enzyme_1.shallow(React.createElement(_1.LayoutList, { direction: "horizontal", gutterSize: _1.GutterSize.LARGE }));
            });
            it('matches its snapshot', function () {
                expect(component).toMatchSnapshot();
            });
        });
        describe('with additional className', function () {
            beforeEach(function () {
                component = enzyme_1.shallow(React.createElement(_1.LayoutList, { direction: "horizontal", className: "TEST_CLASSNAME" }));
            });
            it('matches its snapshot', function () {
                expect(component).toMatchSnapshot();
            });
        });
        describe('with child content', function () {
            beforeEach(function () {
                component = enzyme_1.shallow(React.createElement(_1.LayoutList, { direction: "horizontal" }, "list content"));
            });
            it('matches its snapshot', function () {
                expect(component).toMatchSnapshot();
            });
        });
    });
    describe('as vertical list', function () {
        describe('without props', function () {
            beforeEach(function () {
                component = enzyme_1.shallow(React.createElement(_1.LayoutList, { direction: "vertical" }));
            });
            it('matches its snapshot', function () {
                expect(component).toMatchSnapshot();
            });
        });
        describe('with gutterSize', function () {
            beforeEach(function () {
                component = enzyme_1.shallow(React.createElement(_1.LayoutList, { direction: "vertical", gutterSize: _1.GutterSize.SMALL }));
            });
            it('matches its snapshot', function () {
                expect(component).toMatchSnapshot();
            });
        });
        describe('with additional className', function () {
            beforeEach(function () {
                component = enzyme_1.shallow(React.createElement(_1.LayoutList, { direction: "vertical", className: "TEST_CLASSNAME" }));
            });
            it('matches its snapshot', function () {
                expect(component).toMatchSnapshot();
            });
        });
        describe('with child content', function () {
            beforeEach(function () {
                component = enzyme_1.shallow(React.createElement(_1.LayoutList, { direction: "vertical" }, "list content"));
            });
            it('matches its snapshot', function () {
                expect(component).toMatchSnapshot();
            });
        });
    });
});
//# sourceMappingURL=LayoutList.test.js.map