"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
var React = require("react");
var enzyme_1 = require("enzyme");
var _1 = require(".");
describe('<List />', function () {
    var component;
    describe('ordered', function () {
        describe('without textSize', function () {
            beforeEach(function () {
                component = enzyme_1.shallow(React.createElement(_1.List, { type: "ordered" }));
            });
            it('matches its snapshot', function () {
                expect(component).toMatchSnapshot();
            });
        });
        describe('with textSize', function () {
            beforeEach(function () {
                component = enzyme_1.shallow(React.createElement(_1.List, { type: "ordered", textSize: _1.TextSize.SMALL }));
            });
            it('matches its snapshot', function () {
                expect(component).toMatchSnapshot();
            });
        });
        describe('with additional className', function () {
            beforeEach(function () {
                component = enzyme_1.shallow(React.createElement(_1.List, { type: "ordered", className: "TEST_CLASSNAME" }));
            });
            it('matches its snapshot', function () {
                expect(component).toMatchSnapshot();
            });
        });
    });
    describe('unordered', function () {
        describe('without textSize', function () {
            beforeEach(function () {
                component = enzyme_1.shallow(React.createElement(_1.List, { type: "unordered" }));
            });
            it('matches its snapshot', function () {
                expect(component).toMatchSnapshot();
            });
        });
        describe('with textSize', function () {
            beforeEach(function () {
                component = enzyme_1.shallow(React.createElement(_1.List, { type: "unordered", textSize: _1.TextSize.SMALL }));
            });
            it('matches its snapshot', function () {
                expect(component).toMatchSnapshot();
            });
        });
        describe('with additional className', function () {
            beforeEach(function () {
                component = enzyme_1.shallow(React.createElement(_1.List, { type: "unordered", className: "TEST_CLASSNAME" }));
            });
            it('matches its snapshot', function () {
                expect(component).toMatchSnapshot();
            });
        });
    });
});
//# sourceMappingURL=List.test.js.map