"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
var React = require("react");
var enzyme_1 = require("enzyme");
var _1 = require(".");
describe('<ListItem />', function () {
    var component;
    describe('without props', function () {
        beforeEach(function () {
            component = enzyme_1.shallow(React.createElement(_1.ListItem, null));
        });
        it('matches its snapshot', function () {
            expect(component).toMatchSnapshot();
        });
    });
    describe('with additional className', function () {
        beforeEach(function () {
            component = enzyme_1.shallow(React.createElement(_1.ListItem, { className: "TEST_CLASSNAME" }));
        });
        it('matches its snapshot', function () {
            expect(component).toMatchSnapshot();
        });
    });
    describe('with child content', function () {
        beforeEach(function () {
            component = enzyme_1.shallow(React.createElement(_1.ListItem, null, "list item content"));
        });
        it('matches its snapshot', function () {
            expect(component).toMatchSnapshot();
        });
    });
});
//# sourceMappingURL=ListItem.test.js.map