"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
var React = require("react");
var Block_1 = require("../Block");
var types_1 = require("./types");
exports.MediaObjectSize = types_1.MediaObjectSize;
var BlockPushMap = (_a = {},
    _a[types_1.MediaObjectSize.XLARGE] = -1,
    _a[types_1.MediaObjectSize.LARGE] = 3,
    _a[types_1.MediaObjectSize.MEDIUM] = 3,
    _a[types_1.MediaObjectSize.SMALL] = -2,
    _a[types_1.MediaObjectSize.XSMALL] = 0,
    _a);
var MediaObjectMetadata = /** @class */ (function (_super) {
    __extends(MediaObjectMetadata, _super);
    function MediaObjectMetadata() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    MediaObjectMetadata.prototype.render = function () {
        var _a = this.props, size = _a.size, children = _a.children, ellipsis = _a.ellipsis;
        return (React.createElement(Block_1.default, { className: "y-media-object--metadata", textColor: Block_1.TextColor.METADATA, textSize: Block_1.TextSize.SMALL, push: BlockPushMap[size], ellipsis: ellipsis }, children));
    };
    return MediaObjectMetadata;
}(React.Component));
exports.default = MediaObjectMetadata;
var _a;
//# sourceMappingURL=MediaObjectMetadata.js.map