"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
var React = require("react");
var Block_1 = require("../Block");
var types_1 = require("./types");
exports.MediaObjectSize = types_1.MediaObjectSize;
var TextSizeMap = (_a = {},
    _a[types_1.MediaObjectSize.XLARGE] = Block_1.TextSize.MEDIUM,
    _a[types_1.MediaObjectSize.LARGE] = Block_1.TextSize.MEDIUM,
    _a[types_1.MediaObjectSize.MEDIUM] = Block_1.TextSize.MEDIUM,
    _a[types_1.MediaObjectSize.SMALL] = Block_1.TextSize.MEDIUM_SUB,
    _a[types_1.MediaObjectSize.XSMALL] = Block_1.TextSize.MEDIUM_SUB,
    _a);
var BlockPushMap = (_b = {},
    _b[types_1.MediaObjectSize.XLARGE] = 2,
    _b[types_1.MediaObjectSize.LARGE] = 2,
    _b[types_1.MediaObjectSize.MEDIUM] = 0,
    _b[types_1.MediaObjectSize.SMALL] = 1,
    _b[types_1.MediaObjectSize.XSMALL] = 1,
    _b);
var MediaObjectTitle = /** @class */ (function (_super) {
    __extends(MediaObjectTitle, _super);
    function MediaObjectTitle() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    MediaObjectTitle.prototype.render = function () {
        var _a = this.props, size = _a.size, children = _a.children, ellipsis = _a.ellipsis;
        return (React.createElement(Block_1.default, { className: "y-media-object--title", push: BlockPushMap[size], textColor: Block_1.TextColor.PRIMARY, textSize: TextSizeMap[size], ellipsis: ellipsis }, children));
    };
    return MediaObjectTitle;
}(React.Component));
exports.default = MediaObjectTitle;
var _a, _b;
//# sourceMappingURL=MediaObjectTitle.js.map