"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
require("../../yamui");
var React = require("react");
var classNames_1 = require("../../util/classNames");
var colors_1 = require("../../util/colors");
var Button_1 = require("office-ui-fabric-react/lib/Button");
var Icon_1 = require("../Icon");
var More_1 = require("../Icon/icons/More");
var MenuButtonItem_1 = require("./MenuButtonItem");
var types_1 = require("./types");
exports.MenuItemType = types_1.MenuItemType;
require("./MenuButton.css");
var renderEmptyIcon = function () { return null; };
var MenuButton = /** @class */ (function (_super) {
    __extends(MenuButton, _super);
    function MenuButton() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.getIcon = function () {
            var _a = _this.props, icon = _a.icon, iconSize = _a.iconSize;
            var Icon = icon || More_1.default;
            return React.createElement(Icon, { size: iconSize, block: true });
        };
        _this.getStyles = function () {
            return {
                root: {
                    border: 0,
                    padding: 0,
                    opacity: 0.7,
                    height: _this.props.iconSize + "px",
                    color: colors_1.semanticColors.buttonText,
                },
                rootHovered: {
                    backgroundColor: 'transparent',
                    color: colors_1.semanticColors.link,
                    opacity: 1,
                },
                rootPressed: {
                    backgroundColor: 'transparent',
                    color: colors_1.semanticColors.link,
                    opacity: 1,
                },
                rootExpanded: {
                    color: colors_1.semanticColors.link,
                    opacity: 1,
                },
            };
        };
        return _this;
    }
    MenuButton.prototype.render = function () {
        return (React.createElement(Button_1.CommandButton, { text: this.props.text, styles: this.getStyles(), ariaLabel: this.props.ariaLabel, menuProps: this.getMenuProps(), onRenderIcon: this.getIcon, onRenderMenuIcon: renderEmptyIcon, className: this.getButtonClassNames() }));
    };
    MenuButton.prototype.getButtonClassNames = function () {
        var _a = this.props, iconSize = _a.iconSize, className = _a.className;
        return classNames_1.join(['y-menu-button', "y-menu-button--" + iconSize, className]);
    };
    MenuButton.prototype.getMenuProps = function () {
        var menuItems = this.props.menuItems.map(function (item) { return ({
            key: item.key,
            name: item.text,
            itemType: item.type,
            onClick: item.onClick,
            disabled: item.isDisabled,
            href: item.href,
            target: item.newWindow ? '_blank' : undefined,
            data: {
                yamUIIcon: item.icon,
                yamUIIllustration: item.illustration,
            },
        }); });
        return {
            items: menuItems,
            contextualMenuItemAs: this.getMenuItemContent,
            calloutProps: {
                className: 'y-menu-button--callout',
            },
        };
    };
    MenuButton.prototype.getMenuItemContent = function (props) {
        return React.createElement(MenuButtonItem_1.default, __assign({}, props));
    };
    MenuButton.defaultProps = {
        iconSize: Icon_1.IconSize.LARGE,
    };
    return MenuButton;
}(React.Component));
exports.default = MenuButton;
//# sourceMappingURL=MenuButton.js.map