"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
require("../../yamui");
var React = require("react");
var types_1 = require("./types");
exports.MessageBarType = types_1.MessageBarType;
var Block_1 = require("../Block");
var FixedGrid_1 = require("../FixedGrid");
require("./MessageBar.css");
/**
 * A `MessageBar` displays relevant status information. You can use a `MessageBar` to tell the user
 * about a situation, and optionally provide actions for them to take.
 */
var MessageBar = /** @class */ (function (_super) {
    __extends(MessageBar, _super);
    function MessageBar() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    MessageBar.prototype.render = function () {
        var _a = this.props, actions = _a.actions, children = _a.children;
        var actionsColumn = actions && (React.createElement(FixedGrid_1.FixedGridColumn, { fixed: true, className: "y-message-bar--actions" }, actions));
        return (React.createElement(Block_1.default, { textSize: Block_1.TextSize.SMALL, className: this.getClasses() },
            React.createElement(FixedGrid_1.FixedGridRow, { gutterSize: FixedGrid_1.GutterSize.XXLARGE },
                React.createElement(FixedGrid_1.FixedGridColumn, null, children),
                actionsColumn)));
    };
    MessageBar.prototype.getClasses = function () {
        var _a = this.props, className = _a.className, type = _a.type;
        var classes = ['y-message-bar', "y-message-bar__type-" + type];
        if (className) {
            classes.push(className);
        }
        return classes.join(' ');
    };
    MessageBar.defaultProps = {
        type: types_1.MessageBarType.INFO,
    };
    return MessageBar;
}(React.Component));
exports.default = MessageBar;
//# sourceMappingURL=MessageBar.js.map