"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
var React = require("react");
var enzyme_1 = require("enzyme");
var index_1 = require("./index");
var FakeLink_1 = require("../../components/FakeLink");
describe('<MessageBar />', function () {
    var component;
    describe('with default options', function () {
        beforeEach(function () {
            component = enzyme_1.shallow(React.createElement(index_1.default, null, "content"));
        });
        it('matches its snapshot', function () {
            expect(component).toMatchSnapshot();
        });
    });
    describe('with additional className', function () {
        beforeEach(function () {
            component = enzyme_1.shallow(React.createElement(index_1.default, { className: "TEST_CLASSNAME" }, "content"));
        });
        it('matches its snapshot', function () {
            expect(component).toMatchSnapshot();
        });
    });
    describe('with a type', function () {
        beforeEach(function () {
            component = enzyme_1.shallow(React.createElement(index_1.default, { type: index_1.MessageBarType.WARNING }, "content"));
        });
        it('matches its snapshot', function () {
            expect(component).toMatchSnapshot();
        });
    });
    describe('with actions', function () {
        beforeEach(function () {
            var link = React.createElement(FakeLink_1.default, null, "Link");
            component = enzyme_1.shallow(React.createElement(index_1.default, { actions: link }, "content"));
        });
        it('matches its snapshot', function () {
            expect(component).toMatchSnapshot();
        });
    });
});
//# sourceMappingURL=MessageBar.test.js.map