"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
var React = require("react");
var ProgressIndicator_1 = require("office-ui-fabric-react/lib/ProgressIndicator");
require("./ProgressIndicator.css");
/**
 * A `ProgressIndicator` is used to show the progress of an ongoing operation
 * e.g. a file upload.
 */
var ProgressIndicator = /** @class */ (function (_super) {
    __extends(ProgressIndicator, _super);
    function ProgressIndicator() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    ProgressIndicator.prototype.render = function () {
        var _a = this.props, ariaValueText = _a.ariaValueText, percentComplete = _a.percentComplete;
        return (React.createElement(ProgressIndicator_1.ProgressIndicator, { ariaValueText: ariaValueText, percentComplete: percentComplete, className: this.getClasses() }));
    };
    ProgressIndicator.prototype.getClasses = function () {
        var _a = this.props, className = _a.className, percentComplete = _a.percentComplete;
        var classes = ['y-progress-indicator'];
        if (percentComplete < 1) {
            classes.push('y-progress-indicator__incomplete');
        }
        if (className) {
            classes.push(className);
        }
        return classes.join(' ');
    };
    return ProgressIndicator;
}(React.Component));
exports.default = ProgressIndicator;
//# sourceMappingURL=ProgressIndicator.js.map