"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
var React = require("react");
var enzyme_1 = require("enzyme");
var _1 = require(".");
describe('<ProgressIndicator />', function () {
    var component;
    describe('when incomplete', function () {
        beforeEach(function () {
            component = enzyme_1.shallow(React.createElement(_1.default, { ariaValueText: "50% complete", percentComplete: 0.5 }));
        });
        it('matches its snapshot', function () {
            expect(component).toMatchSnapshot();
        });
    });
    describe('when complete', function () {
        beforeEach(function () {
            component = enzyme_1.shallow(React.createElement(_1.default, { ariaValueText: "100% complete", percentComplete: 1 }));
        });
        it('matches its snapshot', function () {
            expect(component).toMatchSnapshot();
        });
    });
    describe('with additional className', function () {
        beforeEach(function () {
            component = enzyme_1.shallow(React.createElement(_1.default, { ariaValueText: "50% complete", percentComplete: 0.5, className: "TEST_CLASS" }));
        });
        it('matches its snapshot', function () {
            expect(component).toMatchSnapshot();
        });
    });
});
//# sourceMappingURL=ProgressIndicator.test.js.map