"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
require("../../yamui");
var React = require("react");
var Spinner_1 = require("office-ui-fabric-react/lib/Spinner");
var Text_1 = require("../Text");
var ScreenreaderText_1 = require("../ScreenreaderText");
var types_1 = require("./types");
exports.SpinnerSize = types_1.SpinnerSize;
require("./Spinner.css");
var SizeMap = (_a = {},
    _a[types_1.SpinnerSize.LARGE] = Spinner_1.SpinnerSize.large,
    _a[types_1.SpinnerSize.MEDIUM] = Spinner_1.SpinnerSize.medium,
    _a[types_1.SpinnerSize.SMALL] = Spinner_1.SpinnerSize.small,
    _a[types_1.SpinnerSize.XSMALL] = Spinner_1.SpinnerSize.xSmall,
    _a);
var SpinnerColor;
(function (SpinnerColor) {
    /**
     * Light theme.
     */
    SpinnerColor["LIGHT"] = "light";
    /**
     * Light theme spinner color with gray text.
     */
    SpinnerColor["METADATA"] = "metadata";
    /**
     * Dark theme.
     */
    SpinnerColor["DARK"] = "dark";
})(SpinnerColor = exports.SpinnerColor || (exports.SpinnerColor = {}));
/**
 * A `Spinner` is an outline of a circle which animates around itself indicating to the user that
 * things are processing. It is shown when we're unsure how long a task will take.
 */
var Spinner = /** @class */ (function (_super) {
    __extends(Spinner, _super);
    function Spinner() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Spinner.prototype.render = function () {
        var _a = this.props, text = _a.text, hideText = _a.hideText;
        var textComponent = hideText ? (React.createElement(ScreenreaderText_1.default, null, text)) : (React.createElement(Text_1.default, __assign({}, this.getLabelProps()), text));
        return (React.createElement("div", { className: this.getClasses() },
            React.createElement(Spinner_1.Spinner, __assign({}, this.getSpinnerProps())),
            textComponent));
    };
    Spinner.prototype.getClasses = function () {
        var _a = this.props, isCentered = _a.isCentered, className = _a.className, color = _a.color, size = _a.size;
        var classes = ['y-spinner', "y-spinner__color-" + color, "y-spinner__size-" + size];
        if (isCentered) {
            classes.push('y-spinner__isCentered');
        }
        if (className) {
            classes.push(className);
        }
        return classes.join(' ');
    };
    Spinner.prototype.getSpinnerProps = function () {
        var size = this.props.size;
        return {
            className: 'y-spinner--circle',
            size: SizeMap[size],
        };
    };
    Spinner.prototype.getLabelProps = function () {
        var _a = this.props, color = _a.color, size = _a.size;
        var textColor = Text_1.TextColor.PRIMARY;
        if (color === SpinnerColor.DARK) {
            textColor = Text_1.TextColor.WHITE;
        }
        else if (color === SpinnerColor.METADATA) {
            textColor = Text_1.TextColor.METADATA;
        }
        return {
            color: textColor,
            size: size === types_1.SpinnerSize.XSMALL ? Text_1.TextSize.SMALL : Text_1.TextSize.MEDIUM_SUB,
            className: 'y-spinner--label',
        };
    };
    Spinner.defaultProps = {
        hideText: false,
        color: SpinnerColor.LIGHT,
        size: types_1.SpinnerSize.MEDIUM,
    };
    return Spinner;
}(React.Component));
exports.default = Spinner;
var _a;
//# sourceMappingURL=Spinner.js.map