"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
var React = require("react");
var enzyme_1 = require("enzyme");
var _1 = require(".");
describe('<Spinner />', function () {
    var component;
    describe('with additional className', function () {
        beforeEach(function () {
            component = enzyme_1.shallow(React.createElement(_1.default, { className: "TEST_CLASSNAME", text: "Loading" }));
        });
        it('matches its snapshot', function () {
            expect(component).toMatchSnapshot();
        });
    });
    describe('with visible text', function () {
        beforeEach(function () {
            component = enzyme_1.shallow(React.createElement(_1.default, { text: "Loading" }));
        });
        it('matches its snapshot', function () {
            expect(component).toMatchSnapshot();
        });
    });
    describe('with invisible text', function () {
        beforeEach(function () {
            component = enzyme_1.shallow(React.createElement(_1.default, { text: "Loading", hideText: true }));
        });
        it('matches its snapshot', function () {
            expect(component).toMatchSnapshot();
        });
    });
    describe('with dark color', function () {
        beforeEach(function () {
            component = enzyme_1.shallow(React.createElement(_1.default, { text: "Loading", color: _1.SpinnerColor.DARK }));
        });
        it('matches its snapshot', function () {
            expect(component).toMatchSnapshot();
        });
    });
    describe('with metadata color', function () {
        beforeEach(function () {
            component = enzyme_1.shallow(React.createElement(_1.default, { text: "Loading", color: _1.SpinnerColor.METADATA }));
        });
        it('matches its snapshot', function () {
            expect(component).toMatchSnapshot();
        });
    });
    describe('with a size', function () {
        beforeEach(function () {
            component = enzyme_1.shallow(React.createElement(_1.default, { text: "Loading", size: _1.SpinnerSize.XSMALL }));
        });
        it('matches its snapshot', function () {
            expect(component).toMatchSnapshot();
        });
    });
    describe('when centered', function () {
        beforeEach(function () {
            component = enzyme_1.shallow(React.createElement(_1.default, { text: "Loading", isCentered: true }));
        });
        it('matches its snapshot', function () {
            expect(component).toMatchSnapshot();
        });
    });
});
//# sourceMappingURL=Spinner.test.js.map