"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) if (e.indexOf(p[i]) < 0)
            t[p[i]] = s[p[i]];
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
require("../../yamui");
var React = require("react");
var MediaObject_1 = require("../MediaObject");
var Avatar_1 = require("../Avatar");
var escapeStringRegexp = require("escape-string-regexp");
require("./SuggestionsListItem.css");
var baseClass = 'y-suggestions-list-item y-hc-select-on-hover y-hc-suppress-text-background';
var selectedClass = baseClass + " y-suggestions-list-item--selected y-hc-selected";
var matchHighlightClass = 'y-suggestions-list-item--match-highlight';
var getHighlightedName = function (name, search) {
    return name
        .split(new RegExp("(" + escapeStringRegexp(search) + ")", 'gi'))
        .filter(function (content) { return !!content; })
        .map(function (content, index) {
        var className = search.toLowerCase() === content.toLowerCase() ? matchHighlightClass : undefined;
        return (React.createElement("span", { key: index, className: className }, content));
    });
};
var SuggestionsListItem = /** @class */ (function (_super) {
    __extends(SuggestionsListItem, _super);
    function SuggestionsListItem() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.onMouseDown = function (e) {
            var _a = _this.props, onSelect = _a.onSelect, children = _a.children, className = _a.className, item = __rest(_a, ["onSelect", "children", "className"]);
            e.preventDefault();
            _this.props.onSelect(item.id);
        };
        return _this;
    }
    SuggestionsListItem.prototype.render = function () {
        var _a = this.props, isSelected = _a.isSelected, name = _a.name, searchText = _a.searchText, description = _a.description;
        var avatar = this.getAvatar();
        var className = isSelected ? selectedClass : baseClass;
        var title = getHighlightedName(name, searchText);
        // role=button added so that speech software knows that these are clickable targets.
        return (React.createElement("div", { onMouseDown: this.onMouseDown, className: className, role: "button" },
            React.createElement(MediaObject_1.default, { size: MediaObject_1.MediaObjectSize.SMALL, imageContent: avatar, titleContent: title, metadataContent: description })));
    };
    SuggestionsListItem.prototype.getAvatar = function () {
        var _a = this.props, avatarProps = _a.avatarProps, name = _a.name, imageUrl = _a.imageUrl;
        var props = __assign({}, avatarProps, { name: name,
            imageUrl: imageUrl, size: Avatar_1.AvatarSize.SMALL });
        return React.createElement(Avatar_1.default, __assign({}, props));
    };
    return SuggestionsListItem;
}(React.PureComponent));
exports.default = SuggestionsListItem;
//# sourceMappingURL=SuggestionsListItem.js.map