"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
require("../../yamui");
var React = require("react");
var classNames_1 = require("../../util/classNames");
var Block_1 = require("../Block");
var types_1 = require("./types");
exports.TextColor = types_1.TextColor;
exports.TextSize = types_1.TextSize;
var ScreenreaderText_1 = require("../ScreenreaderText");
var Text_styles_1 = require("./Text.styles");
var styling_1 = require("@uifabric/styling");
/**
 * A `Text` component simply renders a `span`. It offers size and color props so UI features don't
 * need to own this CSS. This is both a convenience for engineers and a way to enforce consistency
 * of supported text colors and `font-size`/`line-height` combinations.
 */
var Text = /** @class */ (function (_super) {
    __extends(Text, _super);
    function Text() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Text.prototype.render = function () {
        var _this = this;
        return React.createElement(Block_1.BlockContext.Consumer, null, function (blockContext) { return _this.getContent(blockContext.textSize); });
    };
    Text.prototype.getContent = function (blockTextSize) {
        var _a = this.props, children = _a.children, screenreaderText = _a.screenreaderText;
        var classes = this.getClasses(blockTextSize);
        if (screenreaderText !== undefined) {
            return (React.createElement("span", { className: classes },
                React.createElement("span", { "aria-hidden": true }, children),
                React.createElement(ScreenreaderText_1.default, null, screenreaderText)));
        }
        return React.createElement("span", { className: classes }, children);
    };
    Text.prototype.getClasses = function (blockTextSize) {
        var _a = this.props, className = _a.className, size = _a.size, maxWidth = _a.maxWidth;
        return classNames_1.join([
            'y-text',
            size ? "y-textSize-" + size : '',
            maxWidth ? 'y-text__ellipsis' : '',
            className,
            styling_1.mergeStyles(Text_styles_1.getStyles(__assign({}, this.props, { blockTextSize: blockTextSize }))),
        ]);
    };
    return Text;
}(React.Component));
exports.default = Text;
//# sourceMappingURL=Text.js.map