"use strict";
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var fonts_1 = require("../../util/styles/fonts");
var getHeight = function (size) {
    return size ? fonts_1.lineHeights[size] : undefined;
};
var getVerticalAlignForMaxWidth = function (size) {
    return size ? fonts_1.verticalAligns[size] : '-0.4rem';
};
exports.getStyles = function (props) {
    var size = props.size, maxWidth = props.maxWidth, bold = props.bold, uppercase = props.uppercase, color = props.color, blockTextSize = props.blockTextSize;
    return __assign({}, (maxWidth ? fonts_1.ellipsisStyle : {}), { fontWeight: bold ? fonts_1.fontWeights.bold : undefined, display: 'inline-block', textTransform: uppercase ? 'uppercase' : undefined, fontSize: size ? fonts_1.fontSizes[size] : undefined, lineHeight: size ? fonts_1.lineHeights[size] : undefined, color: color ? fonts_1.textColors[color] : undefined, maxWidth: maxWidth || undefined, height: maxWidth ? getHeight(size) : undefined, verticalAlign: maxWidth ? getVerticalAlignForMaxWidth(size || blockTextSize) : undefined });
};
//# sourceMappingURL=Text.styles.js.map