"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
var TextColor;
(function (TextColor) {
    /**
     * Primary black text color
     */
    TextColor["PRIMARY"] = "primary";
    /**
     * Secondary dark gray text color
     */
    TextColor["SECONDARY"] = "secondary";
    /**
     * Tertiary color for metadata
     */
    TextColor["METADATA"] = "metadata";
    /**
     * For use on darker backgrounds
     */
    TextColor["WHITE"] = "white";
    /**
     * For use in error messages.
     */
    TextColor["ERROR"] = "error";
    /**
     * For use in interaction elements which have become disabled.
     */
    TextColor["DISABLED"] = "disabled";
})(TextColor = exports.TextColor || (exports.TextColor = {}));
var TextSize;
(function (TextSize) {
    /**
     * Large headers. Font-size 2.4rem, line-height 2.8rem.
     */
    TextSize["XXLARGE"] = "xxLarge";
    /**
     * Group headers. Font-size 2.2rem, line-height 2.8rem.
     */
    TextSize["XLARGE"] = "xLarge";
    /**
     * Promo headlines. Font-size 1.8rem, line-height 2.4rem.
     */
    TextSize["LARGE"] = "large";
    /**
     * Body text, default size. Font-size 1.5rem, line-height 2.0rem.
     */
    TextSize["MEDIUM"] = "medium";
    /**
     * Secondary text. Font-size 1.4rem, line-height 2.0rem.
     */
    TextSize["MEDIUM_SUB"] = "mediumSub";
    /**
     * Metadata. Font-size 1.2rem, line-height 1.6rem.
     */
    TextSize["SMALL"] = "small";
    /**
     * Very limited use. Font-size 1.0rem, line-height 1.6rem.
     */
    TextSize["XSMALL"] = "xSmall";
})(TextSize = exports.TextSize || (exports.TextSize = {}));
//# sourceMappingURL=types.js.map