"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
var React = require("react");
var enzyme_1 = require("enzyme");
var _1 = require(".");
describe('<TextArea />', function () {
    var component;
    describe('with default options', function () {
        beforeEach(function () {
            component = enzyme_1.shallow(React.createElement(_1.default, null))
                .dive()
                .dive()
                .dive();
        });
        it('matches its snapshot', function () {
            expect(component).toMatchSnapshot();
        });
    });
    describe('with all options', function () {
        beforeEach(function () {
            component = enzyme_1.shallow(React.createElement(_1.default, { ariaLabel: "ARIA_LABEL", rows: 2, autoAdjustHeight: true, className: "CLASS", value: "VALUE", label: "LABEL", description: "DESCRIPTION", disabled: true, required: true, errorMessage: "ERROR MESSAGE", placeHolder: "PLACEHOLDER", onFocus: jest.fn().mockName('onFocus'), onBlur: jest.fn().mockName('onBlur'), onMouseEnter: jest.fn().mockName('onMouseEnter'), onMouseLeave: jest.fn().mockName('onMouseLeave') }))
                .dive()
                .dive()
                .dive();
        });
        it('matches its snapshot', function () {
            expect(component).toMatchSnapshot();
        });
    });
    describe('with description and no error', function () {
        beforeEach(function () {
            component = enzyme_1.shallow(React.createElement(_1.default, { description: "DESCRIPTION" }))
                .dive()
                .dive()
                .dive();
        });
        it('matches its snapshot', function () {
            expect(component).toMatchSnapshot();
        });
    });
});
//# sourceMappingURL=TextArea.test.js.map