"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
require("../../yamui");
var React = require("react");
var classNames_1 = require("../../util/classNames");
var Tooltip_1 = require("office-ui-fabric-react/lib/Tooltip");
var Tooltip_styles_1 = require("./Tooltip.styles");
require("./Tooltip.css");
/**
 * Tooltip wraps other content and provides additional context on hover or keyboard selection.
 */
var Tooltip = /** @class */ (function (_super) {
    __extends(Tooltip, _super);
    function Tooltip() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Tooltip.prototype.render = function () {
        var _a = this.props, className = _a.className, children = _a.children, directionalHint = _a.directionalHint, text = _a.text;
        return (React.createElement(Tooltip_1.TooltipHost, { content: text, directionalHint: directionalHint, delay: Tooltip_1.TooltipDelay.medium, hostClassName: classNames_1.join(['y-tooltip', className]), calloutProps: { styles: Tooltip_styles_1.getCalloutStyles(this.props), beakWidth: 8 }, tooltipProps: { styles: Tooltip_styles_1.getTooltipStyles(this.props) } }, children));
    };
    return Tooltip;
}(React.Component));
exports.default = Tooltip;
//# sourceMappingURL=Tooltip.js.map