"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
var colors_1 = require("../../util/colors");
var fonts_1 = require("../../util/styles/fonts");
var borders_1 = require("../../util/styles/borders");
exports.getTooltipStyles = function (_) {
    return {
        root: {
            lineHeight: '1',
        },
        content: {
            display: 'inline-block',
        },
        subText: {
            fontSize: fonts_1.fontSizes.small,
            lineHeight: fonts_1.lineHeights.small,
            color: colors_1.palette.white,
        },
    };
};
exports.getCalloutStyles = function (_) {
    return {
        container: {
            backgroundColor: 'inherit',
        },
        root: {
            backgroundColor: 'inherit',
            boxShadow: 'none',
            padding: '0.7rem 1.2rem 0.8rem',
            minHeight: '3.2rem',
            zIndex: 1000,
            border: 'none',
        },
        beak: {
            backgroundColor: colors_1.palette.neutralPrimary,
        },
        beakCurtain: {
            backgroundColor: colors_1.palette.neutralPrimary,
            borderRadius: borders_1.borderRadiusSoft,
        },
        calloutMain: {
            backgroundColor: colors_1.palette.neutralPrimary,
        },
    };
};
//# sourceMappingURL=Tooltip.styles.js.map