"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
require("../../../yamui");
var React = require("react");
var classNames_1 = require("../../../util/classNames");
var DebouncedOnChange_1 = require("../../../util/DebouncedOnChange");
var TextField_1 = require("office-ui-fabric-react/lib/TextField");
require("./TextField.css");
/**
 * BaseTextField can render a text input or textarea. This is an internal component,
 * only YamUI's TextInput and TextArea components should be calling this directly.
 */
var TextField = /** @class */ (function (_super) {
    __extends(TextField, _super);
    function TextField(props) {
        var _this = _super.call(this, props) || this;
        _this.getDescription = function () {
            var _a = _this.props, description = _a.description, errorMessage = _a.errorMessage;
            if (!description || errorMessage) {
                return null;
            }
            return React.createElement("span", { className: "y-textField--description" }, description);
        };
        _this.setRef = function (node) {
            _this.fabricTextFieldRef = node;
        };
        _this.fabricTextFieldRef = null;
        if (_this.props.focusableRef) {
            _this.props.focusableRef(_this);
        }
        return _this;
    }
    TextField.prototype.render = function () {
        var props = this.props;
        // Pass a truthy string value to force Fabric to use onRenderDescription for JSX
        var description = props.description === undefined ? undefined : 'true';
        var inputOrTextAreaProps = props.multiline
            ? {
                multiline: props.multiline,
                rows: props.rows,
                autoAdjustHeight: props.autoAdjustHeight,
            }
            : {
                multiline: props.multiline,
                prefix: props.prefix,
                suffix: props.suffix,
                underlined: props.underlined,
            };
        return (React.createElement(TextField_1.TextField, __assign({ value: props.value, label: props.label, description: description, onRenderDescription: this.getDescription, disabled: props.disabled, ariaLabel: props.ariaLabel, "aria-required": props.required, errorMessage: props.errorMessage, placeholder: props.placeHolder, maxLength: props.maxLength, resizable: false, className: this.getClasses(), componentRef: this.setRef, 
            // Event callbacks
            onFocus: props.onFocus, onBlur: props.onBlur, onMouseEnter: props.onMouseEnter, onMouseLeave: props.onMouseLeave, onKeyDown: props.onKeyDown, onChanged: props.unifiedOnChange }, inputOrTextAreaProps)));
    };
    TextField.prototype.focus = function () {
        var ref = this.fabricTextFieldRef;
        if (!ref) {
            return;
        }
        var valueLength = this.props.value ? this.props.value.length : 0;
        ref.focus();
        ref.setSelectionRange(valueLength, valueLength);
    };
    TextField.prototype.getClasses = function () {
        var classes = ['y-textField', this.props.className];
        if (!this.props.multiline && this.props.prefix) {
            classes.push('y-textField__with-prefix');
        }
        if (!this.props.multiline && this.props.suffix) {
            classes.push('y-textField__with-suffix');
        }
        return classNames_1.join(classes);
    };
    return TextField;
}(React.Component));
exports.default = (function (props) {
    return React.createElement(DebouncedOnChange_1.default, __assign({}, props, { component: TextField }));
});
//# sourceMappingURL=TextField.js.map