"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
var React = require("react");
var Avatar_1 = require("../../components/Avatar");
var Block_1 = require("../../components/Block");
var Button_1 = require("../../components/Button");
var Hovercard_1 = require("../../components/Hovercard");
var LayoutList_1 = require("../../components/LayoutList");
var Image_1 = require("../../components/Image");
var MediaObject_1 = require("../../components/MediaObject");
var memberImage = 'user.png';
var memberAvatar1 = React.createElement(Avatar_1.default, { imageUrl: memberImage, name: "Annie Antelope", size: Avatar_1.AvatarSize.XSMALL });
var memberAvatar2 = React.createElement(Avatar_1.default, { imageUrl: memberImage, name: "Bobby Baboon", size: Avatar_1.AvatarSize.XSMALL });
var memberAvatar3 = React.createElement(Avatar_1.default, { imageUrl: memberImage, name: "Charles Caribou", size: Avatar_1.AvatarSize.XSMALL });
var memberAvatar4 = React.createElement(Avatar_1.default, { imageUrl: memberImage, name: "Daniel Dingo", size: Avatar_1.AvatarSize.XSMALL });
var memberAvatar5 = React.createElement(Avatar_1.default, { imageUrl: memberImage, name: "Eleanor Elephant", size: Avatar_1.AvatarSize.XSMALL });
var FileHovercard = /** @class */ (function (_super) {
    __extends(FileHovercard, _super);
    function FileHovercard() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    FileHovercard.prototype.render = function () {
        var file = this.props.file;
        var fileImage = React.createElement(Image_1.default, { source: file.imageUrl, description: file.description, fullWidth: true });
        return (React.createElement("div", null,
            React.createElement(Hovercard_1.HovercardHeader, null,
                React.createElement(MediaObject_1.default, { size: MediaObject_1.MediaObjectSize.LARGE, imageContent: fileImage, titleContent: file.name, metadataContent: file.location })),
            React.createElement(Hovercard_1.HovercardBody, null,
                React.createElement(Block_1.default, { textSize: Block_1.TextSize.MEDIUM_SUB },
                    React.createElement(Block_1.default, { bottomSpacing: Block_1.GutterSize.XXLARGE },
                        React.createElement(Block_1.default, { bottomSpacing: Block_1.GutterSize.XSMALL }, "72 followers"),
                        React.createElement(LayoutList_1.LayoutList, { direction: "horizontal" },
                            React.createElement(LayoutList_1.LayoutListItem, null, memberAvatar1),
                            React.createElement(LayoutList_1.LayoutListItem, null, memberAvatar2),
                            React.createElement(LayoutList_1.LayoutListItem, null, memberAvatar3),
                            React.createElement(LayoutList_1.LayoutListItem, null, memberAvatar4),
                            React.createElement(LayoutList_1.LayoutListItem, null, memberAvatar5))),
                    React.createElement(LayoutList_1.LayoutList, { direction: "horizontal", align: "right" },
                        React.createElement(LayoutList_1.LayoutListItem, null,
                            React.createElement(Button_1.default, { text: "Go To File" })),
                        React.createElement(LayoutList_1.LayoutListItem, null,
                            React.createElement(Button_1.default, { text: "Preview", color: Button_1.ButtonColor.PRIMARY })))))));
    };
    return FileHovercard;
}(React.Component));
exports.default = FileHovercard;
//# sourceMappingURL=FileHovercard.js.map