"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
var React = require("react");
var Avatar_1 = require("../../components/Avatar");
var Block_1 = require("../../components/Block");
var Button_1 = require("../../components/Button");
var Hovercard_1 = require("../../components/Hovercard");
var FakeLink_1 = require("../../components/FakeLink");
var FixedGrid_1 = require("../../components/FixedGrid");
var LayoutList_1 = require("../../components/LayoutList");
var Icon_1 = require("../../components/Icon");
var Add_1 = require("../../components/Icon/icons/Add");
var Group_1 = require("../../components/Icon/icons/Group");
var Lock_1 = require("../../components/Icon/icons/Lock");
var MediaObject_1 = require("../../components/MediaObject");
var iconGroup = React.createElement(Group_1.default, { size: Icon_1.IconSize.MEDIUM, block: true, color: "#a8b0bd" });
var iconPrivate = React.createElement(Lock_1.default, { size: Icon_1.IconSize.XSMALL, color: "#a8b0bd" });
var memberImage = 'user.png';
var memberAvatar1 = React.createElement(Avatar_1.default, { imageUrl: memberImage, name: "Annie Antelope", size: Avatar_1.AvatarSize.XSMALL });
var memberAvatar2 = React.createElement(Avatar_1.default, { imageUrl: memberImage, name: "Bobby Baboon", size: Avatar_1.AvatarSize.XSMALL });
var memberAvatar3 = React.createElement(Avatar_1.default, { imageUrl: memberImage, name: "Charles Caribou", size: Avatar_1.AvatarSize.XSMALL });
var memberAvatar4 = React.createElement(Avatar_1.default, { imageUrl: memberImage, name: "Daniel Dingo", size: Avatar_1.AvatarSize.XSMALL });
var memberAvatar5 = React.createElement(Avatar_1.default, { imageUrl: memberImage, name: "Eleanor Elephant", size: Avatar_1.AvatarSize.XSMALL });
var relatedGroups = (React.createElement("span", null,
    "Related groups: ",
    React.createElement(FakeLink_1.default, null, "Frontend Team"),
    ", ",
    React.createElement(FakeLink_1.default, null, "Engineering Team"),
    ",",
    ' ',
    React.createElement(FakeLink_1.default, null, "Yammer Team"),
    ", and ",
    React.createElement(FakeLink_1.default, null, "Performance Domain")));
var GroupHovercard = /** @class */ (function (_super) {
    __extends(GroupHovercard, _super);
    function GroupHovercard() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    GroupHovercard.prototype.render = function () {
        var group = this.props.group;
        var groupAvatar = (React.createElement(Avatar_1.default, { imageUrl: group.imageUrl, name: group.name, size: Avatar_1.AvatarSize.LARGE, borderType: Avatar_1.BorderType.SOFT }));
        var groupMetadata = (React.createElement("span", null,
            iconPrivate,
            " ",
            group.privacy));
        return (React.createElement("div", null,
            React.createElement(Hovercard_1.HovercardHeader, null,
                React.createElement(MediaObject_1.default, { size: MediaObject_1.MediaObjectSize.LARGE, imageContent: groupAvatar, titleContent: group.name, metadataContent: groupMetadata })),
            React.createElement(Hovercard_1.HovercardBody, null,
                React.createElement(Block_1.default, { textSize: Block_1.TextSize.MEDIUM_SUB },
                    React.createElement(Block_1.default, { bottomSpacing: Block_1.GutterSize.MEDIUM, push: 1 }, group.description),
                    React.createElement(Block_1.default, { bottomSpacing: Block_1.GutterSize.LARGE },
                        React.createElement(Block_1.default, { bottomSpacing: Block_1.GutterSize.XSMALL }, "102 members"),
                        React.createElement(LayoutList_1.LayoutList, { direction: "horizontal" },
                            React.createElement(LayoutList_1.LayoutListItem, null, memberAvatar1),
                            React.createElement(LayoutList_1.LayoutListItem, null, memberAvatar2),
                            React.createElement(LayoutList_1.LayoutListItem, null, memberAvatar3),
                            React.createElement(LayoutList_1.LayoutListItem, null, memberAvatar4),
                            React.createElement(LayoutList_1.LayoutListItem, null, memberAvatar5))),
                    React.createElement(FixedGrid_1.FixedGridRow, { bottomSpacing: Block_1.GutterSize.XXLARGE, gutterSize: Block_1.GutterSize.SMALL },
                        React.createElement(FixedGrid_1.FixedGridColumn, { fixed: true }, iconGroup),
                        React.createElement(FixedGrid_1.FixedGridColumn, null, relatedGroups)),
                    React.createElement(Block_1.default, { textAlign: "right" },
                        React.createElement(Button_1.default, { text: "Join", color: Button_1.ButtonColor.PRIMARY, icon: Add_1.default }))))));
    };
    return GroupHovercard;
}(React.Component));
exports.default = GroupHovercard;
//# sourceMappingURL=GroupHovercard.js.map