"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
var React = require("react");
var Avatar_1 = require("../../components/Avatar");
var Block_1 = require("../../components/Block");
var Button_1 = require("../../components/Button");
var Hovercard_1 = require("../../components/Hovercard");
var FakeLink_1 = require("../../components/FakeLink");
var FixedGrid_1 = require("../../components/FixedGrid");
var LayoutList_1 = require("../../components/LayoutList");
var Icon_1 = require("../../components/Icon");
var Add_1 = require("../../components/Icon/icons/Add");
var Group_1 = require("../../components/Icon/icons/Group");
var Mail_1 = require("../../components/Icon/icons/Mail");
var Phone_1 = require("../../components/Icon/icons/Phone");
var MediaObject_1 = require("../../components/MediaObject");
var iconMail = React.createElement(Mail_1.default, { size: Icon_1.IconSize.MEDIUM, block: true, color: "#a8b0bd" });
var iconGroup = React.createElement(Group_1.default, { size: Icon_1.IconSize.MEDIUM, block: true, color: "#a8b0bd" });
var iconPhone = React.createElement(Phone_1.default, { size: Icon_1.IconSize.MEDIUM, block: true, color: "#a8b0bd" });
var groupLink1 = React.createElement(FakeLink_1.default, null, "Frontend Team");
var groupLink2 = React.createElement(FakeLink_1.default, null, "Engineering Team");
var groupLink3 = React.createElement(FakeLink_1.default, null, "Yammer Team");
var groupLink4 = React.createElement(FakeLink_1.default, null, "Performance Domain");
var groupLink5 = React.createElement(FakeLink_1.default, null, "Mobile Signup Project");
var userGroups = (React.createElement("span", null,
    "Groups: ",
    groupLink1,
    ", ",
    groupLink2,
    ", ",
    groupLink3,
    ", ",
    groupLink4,
    ", ",
    groupLink5,
    " and 95 more"));
var UserHovercard = /** @class */ (function (_super) {
    __extends(UserHovercard, _super);
    function UserHovercard() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    UserHovercard.prototype.render = function () {
        var user = this.props.user;
        var userEmailLink = React.createElement(FakeLink_1.default, null, user.email);
        var userAvatar = React.createElement(Avatar_1.default, { imageUrl: user.imageUrl, name: user.name, size: Avatar_1.AvatarSize.LARGE });
        return (React.createElement("div", null,
            React.createElement(Hovercard_1.HovercardHeader, null,
                React.createElement(MediaObject_1.default, { size: MediaObject_1.MediaObjectSize.LARGE, imageContent: userAvatar, titleContent: user.name, metadataContent: user.jobTitle })),
            React.createElement(Hovercard_1.HovercardBody, null,
                React.createElement(Block_1.default, { textSize: Block_1.TextSize.MEDIUM_SUB },
                    React.createElement(Block_1.default, { bottomSpacing: Block_1.GutterSize.LARGE },
                        React.createElement(FixedGrid_1.FixedGridRow, { gutterSize: Block_1.GutterSize.SMALL, bottomSpacing: Block_1.GutterSize.XSMALL },
                            React.createElement(FixedGrid_1.FixedGridColumn, { fixed: true }, iconMail),
                            React.createElement(FixedGrid_1.FixedGridColumn, null, userEmailLink)),
                        React.createElement(FixedGrid_1.FixedGridRow, { gutterSize: Block_1.GutterSize.SMALL, bottomSpacing: Block_1.GutterSize.XSMALL },
                            React.createElement(FixedGrid_1.FixedGridColumn, { fixed: true }, iconPhone),
                            React.createElement(FixedGrid_1.FixedGridColumn, null, user.phone)),
                        React.createElement(FixedGrid_1.FixedGridRow, { gutterSize: Block_1.GutterSize.SMALL, bottomSpacing: Block_1.GutterSize.XSMALL },
                            React.createElement(FixedGrid_1.FixedGridColumn, { fixed: true }, iconPhone),
                            React.createElement(FixedGrid_1.FixedGridColumn, null, user.mobile))),
                    React.createElement(FixedGrid_1.FixedGridRow, { bottomSpacing: Block_1.GutterSize.XXLARGE, gutterSize: Block_1.GutterSize.SMALL },
                        React.createElement(FixedGrid_1.FixedGridColumn, { fixed: true }, iconGroup),
                        React.createElement(FixedGrid_1.FixedGridColumn, null, userGroups)),
                    React.createElement(LayoutList_1.LayoutList, { direction: "horizontal", align: "right" },
                        React.createElement(LayoutList_1.LayoutListItem, null,
                            React.createElement(Button_1.default, { text: "Send Message" })),
                        React.createElement(LayoutList_1.LayoutListItem, null,
                            React.createElement(Button_1.default, { text: "Follow", color: Button_1.ButtonColor.PRIMARY, icon: Add_1.default })))))));
    };
    return UserHovercard;
}(React.Component));
exports.default = UserHovercard;
//# sourceMappingURL=UserHovercard.js.map