"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
var KeyboardNavigationEventListener_1 = require("./KeyboardNavigationEventListener");
var navListener;
var ensureInit = function () {
    if (!navListener) {
        navListener = new KeyboardNavigationEventListener_1.default(document.body);
    }
};
exports.getMode = function () {
    ensureInit();
    return navListener.getMode();
};
exports.subscribe = function (callback) {
    ensureInit();
    navListener.subscribe(callback);
};
exports.unsubscribe = function (callback) {
    ensureInit();
    navListener.unsubscribe(callback);
};
//# sourceMappingURL=keyboardNavigation.js.map