"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
jest.mock('./KeyboardNavigationEventListener');
var KeyboardNavigationEventListener_1 = require("./KeyboardNavigationEventListener");
var keyboardNavigation_1 = require("./keyboardNavigation");
describe('keyboardNavigation', function () {
    var callback;
    beforeEach(function () {
        callback = jest.fn();
    });
    afterEach(function () {
        jest.resetAllMocks();
    });
    describe('getMode()', function () {
        beforeEach(function () {
            jest.spyOn(KeyboardNavigationEventListener_1.default.prototype, 'getMode').mockReturnValue('fake mode');
        });
        it('calls getMode on KeyboardNavigationEventListener', function () {
            expect(keyboardNavigation_1.getMode()).toBe('fake mode');
        });
    });
    describe('subscribe()', function () {
        beforeEach(function () {
            jest.spyOn(KeyboardNavigationEventListener_1.default.prototype, 'subscribe').mockImplementation(function (cb) { return cb('new fake mode'); });
            keyboardNavigation_1.subscribe(callback);
        });
        it('is passed to KeyboardNavigationEventListener', function () {
            expect(callback).toHaveBeenCalledWith('new fake mode');
        });
    });
    describe('unsubscribe()', function () {
        beforeEach(function () {
            jest
                .spyOn(KeyboardNavigationEventListener_1.default.prototype, 'unsubscribe')
                .mockImplementation(function (cb) { return cb('another fake mode'); });
            keyboardNavigation_1.unsubscribe(callback);
        });
        it('is passed to KeyboardNavigationEventListener', function () {
            expect(callback).toHaveBeenCalledWith('another fake mode');
        });
    });
});
//# sourceMappingURL=keyboardNavigation.test.js.map