"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
var classNames_1 = require("./classNames");
describe('classNames', function () {
    var emptyArray = [];
    var oneStringItem = ['one'];
    var twoStringItems = ['one', 'two'];
    var threeStringItems = ['one', 'two', 'three'];
    var arrayWithEmptyItems = ['one', undefined, 'three'];
    describe('join()', function () {
        it('returns empty string for empty array', function () {
            expect(classNames_1.join(emptyArray)).toBe('');
        });
        it('handles one item', function () {
            expect(classNames_1.join(oneStringItem)).toBe('one');
        });
        it('handles two items', function () {
            expect(classNames_1.join(twoStringItems)).toBe('one two');
        });
        it('handles three items', function () {
            expect(classNames_1.join(threeStringItems)).toBe('one two three');
        });
        it('handles empty items', function () {
            expect(classNames_1.join(arrayWithEmptyItems)).toBe('one three');
        });
    });
});
//# sourceMappingURL=classNames.test.js.map