"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
var colors_1 = require("../../util/colors");
exports.fontSizes = {
    xSmall: '1.0rem',
    small: '1.2rem',
    mediumSub: '1.4rem',
    medium: '1.5rem',
    large: '1.8rem',
    xLarge: '2.2rem',
    xxLarge: '2.4rem',
};
exports.lineHeights = {
    xSmall: '1.6rem',
    small: '1.6rem',
    mediumSub: '2.0rem',
    medium: '2.0rem',
    large: '2.4rem',
    xLarge: '2.8rem',
    xxLarge: '2.8rem',
};
exports.verticalAligns = {
    xSmall: '-0.4rem',
    small: '-0.3rem',
    mediumSub: '-0.5rem',
    medium: '-0.4rem',
    large: '-0.5rem',
    xLarge: '-0.5rem',
    xxLarge: '-0.4rem',
};
exports.textColors = {
    primary: colors_1.semanticColors.bodyText,
    secondary: colors_1.palette.neutralPrimaryAlt,
    metadata: colors_1.palette.neutralSecondary,
    white: colors_1.palette.white,
    error: colors_1.palette.redDark,
    disabled: colors_1.semanticColors.disabledBodyText,
};
exports.fontWeights = {
    normal: '400',
    bold: '600',
};
exports.ellipsisStyle = {
    overflow: 'hidden',
    textOverflow: 'ellipsis',
    whiteSpace: 'nowrap',
};
//# sourceMappingURL=fonts.js.map