var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
import '../../yamui';
import * as React from 'react';
import { join } from '../../util/classNames';
import Block, { TextSize } from '../Block';
import Clickable from '../Clickable';
import { FixedGridRow, FixedGridColumn, GutterSize } from '../FixedGrid';
import { IconSize } from '../Icon';
import NavigationLink from '../NavigationLink';
import './ActionLink.css';
/**
 * An actionable element with icon and text which will either render a button with an onClick callback
 * or a navigation link.
 */
var ActionLink = /** @class */ (function (_super) {
    __extends(ActionLink, _super);
    function ActionLink() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    ActionLink.prototype.render = function () {
        var _a = this.props, ariaLabel = _a.ariaLabel, className = _a.className, Icon = _a.icon, text = _a.text;
        var classNames = join(['y-actionLink', className]);
        var content = (React.createElement(FixedGridRow, { gutterSize: GutterSize.SMALL, className: "y-actionLink--wrapper" },
            React.createElement(FixedGridColumn, { fixed: true },
                React.createElement(Icon, { size: IconSize.MEDIUM, block: true, className: "y-actionLink--icon" })),
            React.createElement(FixedGridColumn, null,
                React.createElement(Block, { textSize: TextSize.MEDIUM_SUB }, text))));
        if (this.props.href) {
            return (React.createElement(NavigationLink, { href: this.props.href, newWindow: this.props.newWindow, ariaLabel: ariaLabel, className: classNames, block: true }, content));
        }
        return (React.createElement(Clickable, { onClick: this.props.onClick, ariaLabel: ariaLabel, className: classNames, block: true }, content));
    };
    return ActionLink;
}(React.Component));
export default ActionLink;
//# sourceMappingURL=ActionLink.js.map