var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
import '../../yamui';
import * as React from 'react';
import Block from '../Block';
import { FixedGridColumn, FixedGridRow, GutterSize } from '../FixedGrid';
import Heading from '../Heading';
import Text, { TextSize } from '../Text';
import './AsideSection.css';
/**
 * A section component to be used primarily for sidebar modules
 */
var AsideSection = /** @class */ (function (_super) {
    __extends(AsideSection, _super);
    function AsideSection() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    AsideSection.prototype.render = function () {
        return (React.createElement("div", { className: "y-aside-section" },
            React.createElement(Block, { textSize: TextSize.SMALL },
                React.createElement(FixedGridRow, { className: "y-aside-section--header", bottomSpacing: GutterSize.SMALL },
                    React.createElement(FixedGridColumn, null,
                        React.createElement(Heading, { level: "2", size: "none" },
                            React.createElement(Text, { uppercase: true, bold: true }, this.props.title))),
                    this.getActionColumn())),
            React.createElement("div", null, this.props.children)));
    };
    AsideSection.prototype.getActionColumn = function () {
        if (this.props.action) {
            return React.createElement(FixedGridColumn, { fixed: true }, this.props.action);
        }
        return null;
    };
    return AsideSection;
}(React.Component));
export default AsideSection;
//# sourceMappingURL=AsideSection.js.map