/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
import * as React from 'react';
import { shallow } from 'enzyme';
import Clickable from '../Clickable';
import AsideSection from '.';
describe('<AsideSection />', function () {
    var component;
    describe('With minimal options', function () {
        beforeEach(function () {
            component = shallow(React.createElement(AsideSection, { title: "Test title" }));
        });
        it('matches snapshot', function () {
            expect(component).toMatchSnapshot();
        });
    });
    describe('with action prop', function () {
        beforeEach(function () {
            var action = React.createElement(Clickable, null, "Add");
            component = shallow(React.createElement(AsideSection, { title: "Test title", action: action }));
        });
        it('renders the action in its own FixedGridColumn', function () {
            expect(component).toMatchSnapshot();
        });
    });
    describe('with children', function () {
        beforeEach(function () {
            component = shallow(React.createElement(AsideSection, { title: "Test title" },
                React.createElement("div", null, "Child Content")));
        });
        it('matches the snapshot', function () {
            expect(component).toMatchSnapshot();
        });
    });
});
//# sourceMappingURL=AsideSection.test.js.map