var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
import '../../yamui';
import * as React from 'react';
import { PersonaCoin, PersonaSize } from 'office-ui-fabric-react/lib/PersonaCoin';
import ScreenreaderText from '../ScreenreaderText';
import { AvatarSize } from './types';
import { BorderType } from '../Image/types';
import './Avatar.css';
export { BorderType, AvatarSize };
var SizeMap = (_a = {},
    _a[AvatarSize.XLARGE] = PersonaSize.size72,
    _a[AvatarSize.LARGE] = PersonaSize.size48,
    _a[AvatarSize.MEDIUM] = PersonaSize.size40,
    _a[AvatarSize.SMALL] = PersonaSize.size32,
    _a[AvatarSize.XSMALL] = PersonaSize.size24,
    _a);
/**
 * An `Avatar` shows a thumbnail representation of both an individual or group.
 */
var Avatar = /** @class */ (function (_super) {
    __extends(Avatar, _super);
    function Avatar() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Avatar.prototype.render = function () {
        var _a = this.props, badgeContent = _a.badgeContent, imageUrl = _a.imageUrl, name = _a.name, size = _a.size, imageShouldFadeIn = _a.imageShouldFadeIn;
        var personaSize = SizeMap[size];
        var badge = badgeContent && React.createElement("div", { className: "y-avatar--badge y-avatar__size-" + size + "--badge" }, badgeContent);
        return (React.createElement("div", { className: this.getClasses() },
            React.createElement(PersonaCoin, { imageUrl: imageUrl, size: personaSize, hidePersonaDetails: true, text: name, imageShouldFadeIn: imageShouldFadeIn }),
            badge,
            React.createElement(ScreenreaderText, null, this.getAccessibleText())));
    };
    Avatar.prototype.getAccessibleText = function () {
        var _a = this.props, badgeDescription = _a.badgeDescription, name = _a.name;
        if (badgeDescription) {
            return name + " - " + badgeDescription;
        }
        return name;
    };
    Avatar.prototype.getClasses = function () {
        var _a = this.props, borderType = _a.borderType, className = _a.className, size = _a.size;
        var classes = ['y-avatar', "y-avatar__size-" + size];
        if (borderType !== Avatar.defaultProps.borderType) {
            classes.push("y-avatar__borderType-" + borderType);
        }
        if (className) {
            classes.push(className);
        }
        return classes.join(' ');
    };
    Avatar.defaultProps = {
        borderType: BorderType.ROUND,
        size: AvatarSize.MEDIUM,
        imageShouldFadeIn: false,
    };
    return Avatar;
}(React.Component));
export default Avatar;
var _a;
//# sourceMappingURL=Avatar.js.map