var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
import '../../yamui';
import * as React from 'react';
import { join } from '../../util/classNames';
import { ClickableContext } from '../Clickable';
import { GutterSize } from '../FixedGrid/types';
import { TextColor, TextSize } from '../Text/types';
import { getStyles, getInnerStyles } from './Block.styles';
import { mergeStyles } from '@uifabric/styling';
export { GutterSize, TextColor, TextSize };
var defaultContext = {};
export var BlockContext = React.createContext(defaultContext);
/**
 * A `Block` is a layout component to build consistent padding and vertical spacing between
 * components. It allows you to `push` a chunk of UI up or down by individual pixels to keep text in
 * the `4px` vertical rhythm. It's also the primary place you should set `textSize` in your UIs,
 * providing enumerated options for the supported `font-size`/`line-height` combinations.
 */
var Block = /** @class */ (function (_super) {
    __extends(Block, _super);
    function Block() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Block.prototype.render = function () {
        var _this = this;
        var _a = this.props, children = _a.children, textSize = _a.textSize;
        return (React.createElement(ClickableContext.Consumer, null, function (clickableContext) { return (React.createElement(BlockContext.Provider, { value: { textSize: textSize } },
            React.createElement("div", { className: _this.getClasses(clickableContext.withinClickable) },
                React.createElement("div", { className: "y-block--inner " + mergeStyles(getInnerStyles(_this.props)) }, children)))); }));
    };
    Block.prototype.getClasses = function (withinClickable) {
        var _a = this.props, className = _a.className, textSize = _a.textSize;
        return join([
            'y-block',
            textSize ? "y-textSize-" + textSize : '',
            className,
            mergeStyles(getStyles(__assign({}, this.props, { withinClickable: withinClickable }))),
        ]);
    };
    return Block;
}(React.Component));
export default Block;
//# sourceMappingURL=Block.js.map