var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
import { textColors, fontSizes, lineHeights, ellipsisStyle } from '../../util/styles/fonts';
import { gutterSize } from '../../util/styles/gutters';
var getMarginTop = function (topSpacing, push) {
    if (push) {
        // For negative push, use top margin to "pull" it up
        return push < 0 ? push / 10 + "rem" : undefined;
    }
    if (topSpacing) {
        return gutterSize[topSpacing];
    }
};
export var getStyles = function (props) {
    var push = props.push, textSize = props.textSize, topSpacing = props.topSpacing, bottomSpacing = props.bottomSpacing, textAlign = props.textAlign, textColor = props.textColor, withinClickable = props.withinClickable;
    return {
        textAlign: textAlign,
        width: withinClickable ? '100%' : undefined,
        color: textColor ? textColors[textColor] : undefined,
        fontSize: textSize ? fontSizes[textSize] : undefined,
        lineHeight: textSize ? lineHeights[textSize] : undefined,
        marginTop: getMarginTop(topSpacing, push),
        marginBottom: bottomSpacing ? gutterSize[bottomSpacing] : undefined,
        // For positive push, "push" it down with top padding (because margins can collapse).
        paddingTop: push && push > 0 ? push / 10 + "rem" : undefined,
    };
};
export var getInnerStyles = function (props) {
    var padding = props.padding, horizontalPadding = props.horizontalPadding, verticalPadding = props.verticalPadding, ellipsis = props.ellipsis;
    return __assign({}, (ellipsis ? ellipsisStyle : {}), { padding: padding ? gutterSize[padding] : undefined }, (horizontalPadding
        ? {
            paddingLeft: gutterSize[horizontalPadding],
            paddingRight: gutterSize[horizontalPadding],
        }
        : {}), (verticalPadding
        ? {
            paddingTop: gutterSize[verticalPadding],
            paddingBottom: gutterSize[verticalPadding],
        }
        : {}), { wordWrap: 'break-word', overflowWrap: 'break-word' });
};
//# sourceMappingURL=Block.styles.js.map