var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
import '../../yamui';
import * as React from 'react';
import { join } from '../../util/classNames';
import Block, { GutterSize } from '../Block';
import './Box.css';
/**
 * A Box is a div with a border and fixed padding. It also has `display: relative` so you can
 * absolutely-position elements like a close button. Boxes will primarily be used for card views.
 */
var Box = /** @class */ (function (_super) {
    __extends(Box, _super);
    function Box() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Box.prototype.render = function () {
        var _a = this.props, children = _a.children, onClick = _a.onClick;
        return (React.createElement("div", { className: this.getClasses(), onClick: onClick, role: onClick ? 'button' : undefined },
            React.createElement(Block, { className: "y-box--inner", padding: GutterSize.SMALL }, children)));
    };
    Box.prototype.getClasses = function () {
        var classes = ['y-box', this.props.className];
        if (this.props.onClick) {
            classes.push('y-box__hasClick');
        }
        return join(classes);
    };
    return Box;
}(React.Component));
export default Box;
//# sourceMappingURL=Box.js.map