var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) if (e.indexOf(p[i]) < 0)
            t[p[i]] = s[p[i]];
    return t;
};
/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
import '../../yamui';
import * as React from 'react';
import Button from './Button';
var inactiveState = { hasFocus: false, isHovering: false };
/**
 * A `Button` that renders differently when 'active'; if the mouse is hovering or it has focus
 */
var BistateButton = /** @class */ (function (_super) {
    __extends(BistateButton, _super);
    function BistateButton(props) {
        var _this = _super.call(this, props) || this;
        _this.isActive = function () { return _this.state.isHovering || _this.state.hasFocus; };
        _this.onFocus = function (e) {
            if (_this.props.onFocus) {
                _this.props.onFocus(e);
            }
            _this.setState({ hasFocus: true });
        };
        _this.onMouseEnter = function (e) {
            if (_this.props.onMouseEnter) {
                _this.props.onMouseEnter(e);
            }
            _this.setState({ isHovering: true });
        };
        _this.onBlur = function (e) {
            if (_this.props.onBlur) {
                _this.props.onBlur(e);
            }
            _this.setState({ hasFocus: false });
        };
        _this.onMouseLeave = function (e) {
            if (_this.props.onMouseLeave) {
                _this.props.onMouseLeave(e);
            }
            _this.setState({ isHovering: false });
        };
        _this.state = __assign({}, inactiveState);
        return _this;
    }
    BistateButton.prototype.render = function () {
        var propsForState = this.isActive() ? this.props.activeProps : undefined;
        var secondaryText = this.isActive() ? this.props.text : this.props.activeProps.text;
        var _a = this.props, children = _a.children, activeProps = _a.activeProps, buttonProps = __rest(_a, ["children", "activeProps"]);
        var props = __assign({ secondaryText: secondaryText }, buttonProps, propsForState, { onFocus: this.onFocus, onMouseEnter: this.onMouseEnter, onBlur: this.onBlur, onMouseLeave: this.onMouseLeave });
        return React.createElement(Button, __assign({}, props));
    };
    return BistateButton;
}(React.Component));
export default BistateButton;
//# sourceMappingURL=BistateButton.js.map