var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
import { palette } from '../../util/colors';
import { ButtonColor, ButtonSize, ButtonStatus } from './types';
import { fontWeights } from '../../util/styles/fonts';
import { borderRadiusSoft } from '../../util/styles/borders';
var smallPadding = '4px 9px 6px';
var regularPadding = '7px 15px';
var primaryColors = {
    root: {
        color: palette.white,
        backgroundColor: palette.themeDark,
        borderColor: palette.themeDark,
    },
    rootHovered: {
        color: palette.white,
        backgroundColor: palette.themeDarkAlt,
        borderColor: palette.themeDarkAlt,
        textDecoration: 'none',
    },
    rootFocused: {
        color: palette.white,
        backgroundColor: palette.themeDarkAlt,
        borderColor: palette.themeDarkAlt,
    },
    rootPressed: {
        color: palette.white,
        backgroundColor: palette.themeDarker,
        borderColor: palette.themeDarker,
    },
};
var secondaryColors = {
    root: {
        color: palette.themeDark,
        backgroundColor: palette.white,
        borderColor: palette.neutralDark,
    },
    rootHovered: {
        color: palette.themeDark,
        backgroundColor: palette.white,
        borderColor: palette.themeLighter,
        textDecoration: 'none',
    },
    rootFocused: {
        color: palette.themeDark,
        backgroundColor: palette.white,
        borderColor: palette.themeLighter,
    },
    rootPressed: {
        color: palette.themeDark,
        backgroundColor: palette.white,
        borderColor: palette.themePrimary,
    },
};
export var getStyles = function (props) {
    var size = props.size, color = props.color, status = props.status, fullWidth = props.fullWidth;
    var colors = color === ButtonColor.PRIMARY ? primaryColors : secondaryColors;
    var root = colors.root, rootHovered = colors.rootHovered, rootFocused = colors.rootFocused, rootPressed = colors.rootPressed;
    return {
        root: __assign({}, root, { borderRadius: borderRadiusSoft, fontWeight: fontWeights.bold, textAlign: 'center', display: fullWidth ? 'block' : 'inline-block', position: 'relative', whiteSpace: 'nowrap', transition: 'all 0.05s ease-out', borderWidth: '1px', borderStyle: 'solid', boxShadow: '0 1px 1px 0 rgba(0, 0, 0, 0.05)', padding: size === ButtonSize.REGULAR ? regularPadding : smallPadding, cursor: status === ButtonStatus.ENABLED ? 'pointer' : 'default', opacity: status === ButtonStatus.DISABLED ? '0.5' : '1', width: fullWidth ? '100%' : undefined }),
        rootHovered: __assign({}, rootHovered),
        rootFocused: __assign({}, rootFocused),
        rootPressed: __assign({}, rootPressed),
    };
};
//# sourceMappingURL=Button.styles.js.map