var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
import '../../yamui';
import * as React from 'react';
import { join } from '../../util/classNames';
import './FakeLink.css';
/**
 * A `FakeLink` is simply a span which imitates the styling of an `<a>` tag (or `NavigationLink`
 * component). It is meant to be nested within unstyled `NavigationLink` or `Clickable`
 * components, allowing an entire block of content to be an accessible tabbable element while
 * still showing individual nested "links" for sighted users.
 *
 * NOTE: If you are looking for click interaction please see [Clickable](#clickable).
 */
var FakeLink = /** @class */ (function (_super) {
    __extends(FakeLink, _super);
    function FakeLink() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    FakeLink.prototype.render = function () {
        var _a = this.props, className = _a.className, children = _a.children;
        return React.createElement("span", { className: join(['y-fakeLink', className]) }, children);
    };
    return FakeLink;
}(React.Component));
export default FakeLink;
//# sourceMappingURL=FakeLink.js.map