/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
import * as React from 'react';
import { shallow } from 'enzyme';
import { FixedGridRow, GutterSize } from '.';
describe('<FixedGridRow />', function () {
    var component;
    describe('with default options', function () {
        beforeEach(function () {
            component = shallow(React.createElement(FixedGridRow, null, "grid content"));
        });
        it('matches its snapshot', function () {
            expect(component).toMatchSnapshot();
        });
    });
    describe('with additional className', function () {
        beforeEach(function () {
            component = shallow(React.createElement(FixedGridRow, { className: "TEST_CLASSNAME" }, "grid content"));
        });
        it('matches its snapshot', function () {
            expect(component).toMatchSnapshot();
        });
    });
    describe('with gutter size', function () {
        beforeEach(function () {
            component = shallow(React.createElement(FixedGridRow, { gutterSize: GutterSize.LARGE }, "grid content"));
        });
        it('matches its snapshot', function () {
            expect(component).toMatchSnapshot();
        });
    });
    describe('with bottom spacing', function () {
        beforeEach(function () {
            component = shallow(React.createElement(FixedGridRow, { bottomSpacing: GutterSize.XLARGE }, "grid content"));
        });
        it('matches its snapshot', function () {
            expect(component).toMatchSnapshot();
        });
    });
});
//# sourceMappingURL=FixedGridRow.test.js.map