/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
import * as React from 'react';
import { shallow } from 'enzyme';
import Heading from '.';
describe('<Heading />', function () {
    var component;
    describe('with level 1', function () {
        beforeEach(function () {
            component = shallow(React.createElement(Heading, { level: "1" }, "test content"));
        });
        it('matches its snapshot', function () {
            expect(component).toMatchSnapshot();
        });
    });
    describe('with level 2 and size 3', function () {
        beforeEach(function () {
            component = shallow(React.createElement(Heading, { level: "2", size: "3" }, "test content"));
        });
        it('matches its snapshot', function () {
            expect(component).toMatchSnapshot();
        });
    });
    describe('with size "none"', function () {
        beforeEach(function () {
            component = shallow(React.createElement(Heading, { level: "5", size: "none" }, "test content"));
        });
        it('matches its snapshot', function () {
            expect(component).toMatchSnapshot();
        });
    });
    describe('with additional className', function () {
        beforeEach(function () {
            component = shallow(React.createElement(Heading, { level: "4", className: "TEST_CLASSNAME" }, "test content"));
        });
        it('matches its snapshot', function () {
            expect(component).toMatchSnapshot();
        });
    });
});
//# sourceMappingURL=Heading.test.js.map