/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
import * as React from 'react';
import { shallow } from 'enzyme';
import HovercardBody from './HovercardBody';
describe('<HovercardBody />', function () {
    var component;
    describe('with default options', function () {
        beforeEach(function () {
            component = shallow(React.createElement(HovercardBody, null, "body content"));
        });
        it('renders its given content', function () {
            expect(component.render().text()).toEqual('body content');
        });
        it('contains its base className', function () {
            expect(component.hasClass('y-hovercard--body')).toBe(true);
        });
        it('matches its snapshot', function () {
            expect(component).toMatchSnapshot();
        });
    });
    describe('with additional className', function () {
        beforeEach(function () {
            component = shallow(React.createElement(HovercardBody, { className: "TEST_CLASSNAME" }, "body content"));
        });
        it('includes that className', function () {
            expect(component.hasClass('TEST_CLASSNAME')).toBe(true);
        });
        it('still has its base className', function () {
            expect(component.hasClass('y-hovercard--body')).toBe(true);
        });
        it('matches its snapshot', function () {
            expect(component).toMatchSnapshot();
        });
    });
});
//# sourceMappingURL=HovercardBody.test.js.map