/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
import * as React from 'react';
import { shallow } from 'enzyme';
import { IconSize } from '.';
import * as allExportedIcons from './icons';
import Accounts from './icons/Accounts';
describe('<Icon />', function () {
    var component;
    describe('an Icon', function () {
        describe('with minimal options', function () {
            beforeEach(function () {
                component = shallow(React.createElement(Accounts, null));
            });
            it('matches its snapshot', function () {
                expect(component).toMatchSnapshot();
            });
        });
        describe('with color', function () {
            beforeEach(function () {
                component = shallow(React.createElement(Accounts, { color: "blue" }));
            });
            it('matches its snapshot', function () {
                expect(component).toMatchSnapshot();
            });
        });
        describe('with block', function () {
            beforeEach(function () {
                component = shallow(React.createElement(Accounts, { block: true }));
            });
            it('matches its snapshot', function () {
                expect(component).toMatchSnapshot();
            });
        });
        describe('with passed size value', function () {
            beforeEach(function () {
                component = shallow(React.createElement(Accounts, { size: IconSize.XXLARGE }));
            });
            it('matches its snapshot', function () {
                expect(component).toMatchSnapshot();
            });
        });
        describe('with additional className', function () {
            beforeEach(function () {
                component = shallow(React.createElement(Accounts, { className: "TEST_CLASSNAME" }));
            });
            it('matches its snapshot', function () {
                expect(component).toMatchSnapshot();
            });
        });
    });
    describe('each Icon', function () {
        var Icon;
        // tslint:disable-next-line:mocha-no-side-effect-code
        Object.keys(allExportedIcons).forEach(function (name) {
            beforeEach(function () {
                Icon = allExportedIcons[name];
                component = shallow(React.createElement(Icon, null));
            });
            it('has a 240x240 viewbox', function () {
                expect(component.getElement().props.viewBox).toBe('0 0 240 240');
            });
        });
    });
});
//# sourceMappingURL=Icon.test.js.map