/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
import * as React from 'react';
import { shallow } from 'enzyme';
import * as allExportedIllustrations from './illustrations';
import AccDB16 from './illustrations/AccDB16';
describe('<Illustration />', function () {
    var component;
    describe('an illustration', function () {
        describe('with minimal options', function () {
            beforeEach(function () {
                component = shallow(React.createElement(AccDB16, null));
            });
            it('matches its snapshot', function () {
                expect(component).toMatchSnapshot();
            });
        });
        describe('with block', function () {
            beforeEach(function () {
                component = shallow(React.createElement(AccDB16, { block: true }));
            });
            it('matches its snapshot', function () {
                expect(component).toMatchSnapshot();
            });
        });
        describe('with additional className', function () {
            beforeEach(function () {
                component = shallow(React.createElement(AccDB16, { className: "TEST_CLASSNAME" }));
            });
            it('matches its snapshot', function () {
                expect(component).toMatchSnapshot();
            });
        });
    });
    describe('each illustration', function () {
        var Illustration;
        // tslint:disable-next-line:mocha-no-side-effect-code
        Object.keys(allExportedIllustrations).forEach(function (name) {
            beforeEach(function () {
                Illustration = allExportedIllustrations[name];
                component = shallow(React.createElement(Illustration, null));
            });
            it('has a viewbox', function () {
                expect(component.getElement().props.viewBox).toBeDefined();
            });
        });
    });
});
//# sourceMappingURL=Illustration.test.js.map