var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
import '../../yamui';
import * as React from 'react';
import { Image as FabricImage, ImageFit, ImageLoadState } from 'office-ui-fabric-react/lib/Image';
import { BorderType } from './types';
import './Image.css';
export { BorderType, ImageFit, ImageLoadState };
/**
 * An `Image` renders an `img` element within a wrapper `div`. This `div` is displayed as
 * `inline-block`, so it behaves like a standard inline image. The `height` and `width` actually get
 * applied to the wrapper `div`, and the image will get scaled/positioned within the wrapper
 * depending on which props you provide.
 */
var Image = /** @class */ (function (_super) {
    __extends(Image, _super);
    function Image() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Image.prototype.render = function () {
        var _a = this.props, description = _a.description, fullWidth = _a.fullWidth, height = _a.height, width = _a.width, imageFit = _a.imageFit, source = _a.source, shouldFadeIn = _a.shouldFadeIn, onLoadingStateChange = _a.onLoadingStateChange;
        var imageWidth = fullWidth ? '100%' : width;
        return (React.createElement(FabricImage, { alt: description, className: this.getClasses(), height: height, imageFit: imageFit, width: imageWidth, src: source, onLoadingStateChange: onLoadingStateChange, shouldFadeIn: shouldFadeIn }));
    };
    Image.prototype.getClasses = function () {
        var _a = this.props, block = _a.block, borderType = _a.borderType, className = _a.className, fullWidth = _a.fullWidth;
        var classes = ['y-image'];
        if (fullWidth) {
            classes.push('y-image__fullWidth');
        }
        if (borderType) {
            classes.push("y-image__border-" + borderType);
        }
        if (block) {
            classes.push('y-image__block');
        }
        if (className) {
            classes.push(className);
        }
        return classes.join(' ');
    };
    Image.defaultProps = {
        fullWidth: false,
        shouldFadeIn: false,
    };
    return Image;
}(React.Component));
export default Image;
//# sourceMappingURL=Image.js.map