var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
import '../../yamui';
import * as React from 'react';
import { join } from '../../util/classNames';
import Block, { TextSize } from '../Block';
import './List.css';
export { TextSize };
/**
 * A typographical list, rendering either a `<ul>` or `<ol>` element.
 */
var List = /** @class */ (function (_super) {
    __extends(List, _super);
    function List() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    List.prototype.render = function () {
        var _a = this.props, className = _a.className, children = _a.children, type = _a.type, textSize = _a.textSize;
        var Tag = type === 'ordered' ? 'ol' : 'ul';
        var listClass = type === 'ordered' ? 'y-list__ordered' : 'y-list__unordered';
        var list = React.createElement(Tag, { className: join(['y-list', listClass, className]) }, children);
        return textSize ? React.createElement(Block, { textSize: textSize }, list) : list;
    };
    return List;
}(React.Component));
export default List;
//# sourceMappingURL=List.js.map