/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
import * as React from 'react';
import { shallow } from 'enzyme';
import { List, TextSize } from '.';
describe('<List />', function () {
    var component;
    describe('ordered', function () {
        describe('without textSize', function () {
            beforeEach(function () {
                component = shallow(React.createElement(List, { type: "ordered" }));
            });
            it('matches its snapshot', function () {
                expect(component).toMatchSnapshot();
            });
        });
        describe('with textSize', function () {
            beforeEach(function () {
                component = shallow(React.createElement(List, { type: "ordered", textSize: TextSize.SMALL }));
            });
            it('matches its snapshot', function () {
                expect(component).toMatchSnapshot();
            });
        });
        describe('with additional className', function () {
            beforeEach(function () {
                component = shallow(React.createElement(List, { type: "ordered", className: "TEST_CLASSNAME" }));
            });
            it('matches its snapshot', function () {
                expect(component).toMatchSnapshot();
            });
        });
    });
    describe('unordered', function () {
        describe('without textSize', function () {
            beforeEach(function () {
                component = shallow(React.createElement(List, { type: "unordered" }));
            });
            it('matches its snapshot', function () {
                expect(component).toMatchSnapshot();
            });
        });
        describe('with textSize', function () {
            beforeEach(function () {
                component = shallow(React.createElement(List, { type: "unordered", textSize: TextSize.SMALL }));
            });
            it('matches its snapshot', function () {
                expect(component).toMatchSnapshot();
            });
        });
        describe('with additional className', function () {
            beforeEach(function () {
                component = shallow(React.createElement(List, { type: "unordered", className: "TEST_CLASSNAME" }));
            });
            it('matches its snapshot', function () {
                expect(component).toMatchSnapshot();
            });
        });
    });
});
//# sourceMappingURL=List.test.js.map