/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
import * as React from 'react';
import { shallow } from 'enzyme';
import { ListItem } from '.';
describe('<ListItem />', function () {
    var component;
    describe('without props', function () {
        beforeEach(function () {
            component = shallow(React.createElement(ListItem, null));
        });
        it('matches its snapshot', function () {
            expect(component).toMatchSnapshot();
        });
    });
    describe('with additional className', function () {
        beforeEach(function () {
            component = shallow(React.createElement(ListItem, { className: "TEST_CLASSNAME" }));
        });
        it('matches its snapshot', function () {
            expect(component).toMatchSnapshot();
        });
    });
    describe('with child content', function () {
        beforeEach(function () {
            component = shallow(React.createElement(ListItem, null, "list item content"));
        });
        it('matches its snapshot', function () {
            expect(component).toMatchSnapshot();
        });
    });
});
//# sourceMappingURL=ListItem.test.js.map