var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
import * as React from 'react';
import Block, { TextColor, TextSize } from '../Block';
import { MediaObjectSize } from './types';
export { MediaObjectSize };
var BlockPushMap = (_a = {},
    _a[MediaObjectSize.XLARGE] = -1,
    _a[MediaObjectSize.LARGE] = 3,
    _a[MediaObjectSize.MEDIUM] = 3,
    _a[MediaObjectSize.SMALL] = -2,
    _a[MediaObjectSize.XSMALL] = 0,
    _a);
var MediaObjectMetadata = /** @class */ (function (_super) {
    __extends(MediaObjectMetadata, _super);
    function MediaObjectMetadata() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    MediaObjectMetadata.prototype.render = function () {
        var _a = this.props, size = _a.size, children = _a.children, ellipsis = _a.ellipsis;
        return (React.createElement(Block, { className: "y-media-object--metadata", textColor: TextColor.METADATA, textSize: TextSize.SMALL, push: BlockPushMap[size], ellipsis: ellipsis }, children));
    };
    return MediaObjectMetadata;
}(React.Component));
export default MediaObjectMetadata;
var _a;
//# sourceMappingURL=MediaObjectMetadata.js.map