var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
import * as React from 'react';
import Block, { TextColor, TextSize } from '../Block';
import { MediaObjectSize } from './types';
export { MediaObjectSize };
var TextSizeMap = (_a = {},
    _a[MediaObjectSize.XLARGE] = TextSize.MEDIUM,
    _a[MediaObjectSize.LARGE] = TextSize.MEDIUM,
    _a[MediaObjectSize.MEDIUM] = TextSize.MEDIUM,
    _a[MediaObjectSize.SMALL] = TextSize.MEDIUM_SUB,
    _a[MediaObjectSize.XSMALL] = TextSize.MEDIUM_SUB,
    _a);
var BlockPushMap = (_b = {},
    _b[MediaObjectSize.XLARGE] = 2,
    _b[MediaObjectSize.LARGE] = 2,
    _b[MediaObjectSize.MEDIUM] = 0,
    _b[MediaObjectSize.SMALL] = 1,
    _b[MediaObjectSize.XSMALL] = 1,
    _b);
var MediaObjectTitle = /** @class */ (function (_super) {
    __extends(MediaObjectTitle, _super);
    function MediaObjectTitle() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    MediaObjectTitle.prototype.render = function () {
        var _a = this.props, size = _a.size, children = _a.children, ellipsis = _a.ellipsis;
        return (React.createElement(Block, { className: "y-media-object--title", push: BlockPushMap[size], textColor: TextColor.PRIMARY, textSize: TextSizeMap[size], ellipsis: ellipsis }, children));
    };
    return MediaObjectTitle;
}(React.Component));
export default MediaObjectTitle;
var _a, _b;
//# sourceMappingURL=MediaObjectTitle.js.map