var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
import '../../yamui';
import * as React from 'react';
import { join } from '../../util/classNames';
import { semanticColors } from '../../util/colors';
import { CommandButton } from 'office-ui-fabric-react/lib/Button';
import { IconSize } from '../Icon';
import MoreIcon from '../Icon/icons/More';
import MenuButtonItem from './MenuButtonItem';
import { MenuItemType } from './types';
import './MenuButton.css';
export { MenuItemType };
var renderEmptyIcon = function () { return null; };
var MenuButton = /** @class */ (function (_super) {
    __extends(MenuButton, _super);
    function MenuButton() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.getIcon = function () {
            var _a = _this.props, icon = _a.icon, iconSize = _a.iconSize;
            var Icon = icon || MoreIcon;
            return React.createElement(Icon, { size: iconSize, block: true });
        };
        _this.getStyles = function () {
            return {
                root: {
                    border: 0,
                    padding: 0,
                    opacity: 0.7,
                    height: _this.props.iconSize + "px",
                    color: semanticColors.buttonText,
                },
                rootHovered: {
                    backgroundColor: 'transparent',
                    color: semanticColors.link,
                    opacity: 1,
                },
                rootPressed: {
                    backgroundColor: 'transparent',
                    color: semanticColors.link,
                    opacity: 1,
                },
                rootExpanded: {
                    color: semanticColors.link,
                    opacity: 1,
                },
            };
        };
        return _this;
    }
    MenuButton.prototype.render = function () {
        return (React.createElement(CommandButton, { text: this.props.text, styles: this.getStyles(), ariaLabel: this.props.ariaLabel, menuProps: this.getMenuProps(), onRenderIcon: this.getIcon, onRenderMenuIcon: renderEmptyIcon, className: this.getButtonClassNames() }));
    };
    MenuButton.prototype.getButtonClassNames = function () {
        var _a = this.props, iconSize = _a.iconSize, className = _a.className;
        return join(['y-menu-button', "y-menu-button--" + iconSize, className]);
    };
    MenuButton.prototype.getMenuProps = function () {
        var menuItems = this.props.menuItems.map(function (item) { return ({
            key: item.key,
            name: item.text,
            itemType: item.type,
            onClick: item.onClick,
            disabled: item.isDisabled,
            href: item.href,
            target: item.newWindow ? '_blank' : undefined,
            data: {
                yamUIIcon: item.icon,
                yamUIIllustration: item.illustration,
            },
        }); });
        return {
            items: menuItems,
            contextualMenuItemAs: this.getMenuItemContent,
            calloutProps: {
                className: 'y-menu-button--callout',
            },
        };
    };
    MenuButton.prototype.getMenuItemContent = function (props) {
        return React.createElement(MenuButtonItem, __assign({}, props));
    };
    MenuButton.defaultProps = {
        iconSize: IconSize.LARGE,
    };
    return MenuButton;
}(React.Component));
export default MenuButton;
//# sourceMappingURL=MenuButton.js.map