var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
import '../../yamui';
import * as React from 'react';
import { MessageBarType } from './types';
import Block, { TextSize } from '../Block';
import { FixedGridRow, FixedGridColumn, GutterSize } from '../FixedGrid';
import './MessageBar.css';
export { MessageBarType };
/**
 * A `MessageBar` displays relevant status information. You can use a `MessageBar` to tell the user
 * about a situation, and optionally provide actions for them to take.
 */
var MessageBar = /** @class */ (function (_super) {
    __extends(MessageBar, _super);
    function MessageBar() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    MessageBar.prototype.render = function () {
        var _a = this.props, actions = _a.actions, children = _a.children;
        var actionsColumn = actions && (React.createElement(FixedGridColumn, { fixed: true, className: "y-message-bar--actions" }, actions));
        return (React.createElement(Block, { textSize: TextSize.SMALL, className: this.getClasses() },
            React.createElement(FixedGridRow, { gutterSize: GutterSize.XXLARGE },
                React.createElement(FixedGridColumn, null, children),
                actionsColumn)));
    };
    MessageBar.prototype.getClasses = function () {
        var _a = this.props, className = _a.className, type = _a.type;
        var classes = ['y-message-bar', "y-message-bar__type-" + type];
        if (className) {
            classes.push(className);
        }
        return classes.join(' ');
    };
    MessageBar.defaultProps = {
        type: MessageBarType.INFO,
    };
    return MessageBar;
}(React.Component));
export default MessageBar;
//# sourceMappingURL=MessageBar.js.map