/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
import * as React from 'react';
import { shallow } from 'enzyme';
import MessageBar, { MessageBarType } from './index';
import FakeLink from '../../components/FakeLink';
describe('<MessageBar />', function () {
    var component;
    describe('with default options', function () {
        beforeEach(function () {
            component = shallow(React.createElement(MessageBar, null, "content"));
        });
        it('matches its snapshot', function () {
            expect(component).toMatchSnapshot();
        });
    });
    describe('with additional className', function () {
        beforeEach(function () {
            component = shallow(React.createElement(MessageBar, { className: "TEST_CLASSNAME" }, "content"));
        });
        it('matches its snapshot', function () {
            expect(component).toMatchSnapshot();
        });
    });
    describe('with a type', function () {
        beforeEach(function () {
            component = shallow(React.createElement(MessageBar, { type: MessageBarType.WARNING }, "content"));
        });
        it('matches its snapshot', function () {
            expect(component).toMatchSnapshot();
        });
    });
    describe('with actions', function () {
        beforeEach(function () {
            var link = React.createElement(FakeLink, null, "Link");
            component = shallow(React.createElement(MessageBar, { actions: link }, "content"));
        });
        it('matches its snapshot', function () {
            expect(component).toMatchSnapshot();
        });
    });
});
//# sourceMappingURL=MessageBar.test.js.map