var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
import '../../yamui';
import * as React from 'react';
import { join } from '../../util/classNames';
import './NavigationLink.css';
/**
 * A `NavigationLink` renders an `a` tag for navigation between web pages.
 */
var NavigationLink = /** @class */ (function (_super) {
    __extends(NavigationLink, _super);
    function NavigationLink(props) {
        var _this = _super.call(this, props) || this;
        _this.anchorRef = React.createRef();
        if (_this.props.focusableRef) {
            _this.props.focusableRef(_this);
        }
        return _this;
    }
    NavigationLink.prototype.render = function () {
        var _a = this.props, ariaCurrent = _a.ariaCurrent, ariaLabel = _a.ariaLabel, href = _a.href, newWindow = _a.newWindow, title = _a.title, children = _a.children;
        var target = newWindow ? '_blank' : undefined;
        var rel = newWindow ? 'nofollow noopener noreferrer' : undefined;
        return (React.createElement("a", { className: this.getClasses(), href: href, rel: rel, target: target, title: title, "aria-label": ariaLabel, "aria-current": ariaCurrent, ref: this.anchorRef }, children));
    };
    NavigationLink.prototype.focus = function () {
        var anchor = this.anchorRef.current;
        if (anchor) {
            anchor.focus();
        }
    };
    NavigationLink.prototype.getClasses = function () {
        var _a = this.props, className = _a.className, block = _a.block, unstyled = _a.unstyled;
        var classes = ['y-navigationLink'];
        if (unstyled) {
            classes.push('y-navigationLink__unstyled');
        }
        if (block) {
            classes.push('y-navigationLink__block');
        }
        if (className) {
            classes.push(className);
        }
        return join(classes);
    };
    return NavigationLink;
}(React.Component));
export default NavigationLink;
//# sourceMappingURL=NavigationLink.js.map