/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
import * as React from 'react';
import { shallow } from 'enzyme';
import ProgressIndicator from '.';
describe('<ProgressIndicator />', function () {
    var component;
    describe('when incomplete', function () {
        beforeEach(function () {
            component = shallow(React.createElement(ProgressIndicator, { ariaValueText: "50% complete", percentComplete: 0.5 }));
        });
        it('matches its snapshot', function () {
            expect(component).toMatchSnapshot();
        });
    });
    describe('when complete', function () {
        beforeEach(function () {
            component = shallow(React.createElement(ProgressIndicator, { ariaValueText: "100% complete", percentComplete: 1 }));
        });
        it('matches its snapshot', function () {
            expect(component).toMatchSnapshot();
        });
    });
    describe('with additional className', function () {
        beforeEach(function () {
            component = shallow(React.createElement(ProgressIndicator, { ariaValueText: "50% complete", percentComplete: 0.5, className: "TEST_CLASS" }));
        });
        it('matches its snapshot', function () {
            expect(component).toMatchSnapshot();
        });
    });
});
//# sourceMappingURL=ProgressIndicator.test.js.map