var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
import '../../yamui';
import * as React from 'react';
import { join } from '../../util/classNames';
import './ScreenreaderText.css';
/**
 * A `ScreenreaderText` simply hides its content from sight without hiding it from screenreaders.
 * Use this component whenever a screenreader should be able to read aloud additional context for
 * your UI features.
 */
var ScreenreaderText = /** @class */ (function (_super) {
    __extends(ScreenreaderText, _super);
    function ScreenreaderText() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    ScreenreaderText.prototype.render = function () {
        var _a = this.props, className = _a.className, children = _a.children;
        return React.createElement("span", { className: join(['y-screenreaderText', className]) }, children);
    };
    return ScreenreaderText;
}(React.Component));
export default ScreenreaderText;
//# sourceMappingURL=ScreenreaderText.js.map