var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
import '../../yamui';
import * as React from 'react';
import { Spinner as FabricSpinner, SpinnerSize as FabricSpinnerSize, } from 'office-ui-fabric-react/lib/Spinner';
import Text, { TextColor, TextSize } from '../Text';
import ScreenreaderText from '../ScreenreaderText';
import { SpinnerSize } from './types';
import './Spinner.css';
export { SpinnerSize };
var SizeMap = (_a = {},
    _a[SpinnerSize.LARGE] = FabricSpinnerSize.large,
    _a[SpinnerSize.MEDIUM] = FabricSpinnerSize.medium,
    _a[SpinnerSize.SMALL] = FabricSpinnerSize.small,
    _a[SpinnerSize.XSMALL] = FabricSpinnerSize.xSmall,
    _a);
export var SpinnerColor;
(function (SpinnerColor) {
    /**
     * Light theme.
     */
    SpinnerColor["LIGHT"] = "light";
    /**
     * Light theme spinner color with gray text.
     */
    SpinnerColor["METADATA"] = "metadata";
    /**
     * Dark theme.
     */
    SpinnerColor["DARK"] = "dark";
})(SpinnerColor || (SpinnerColor = {}));
/**
 * A `Spinner` is an outline of a circle which animates around itself indicating to the user that
 * things are processing. It is shown when we're unsure how long a task will take.
 */
var Spinner = /** @class */ (function (_super) {
    __extends(Spinner, _super);
    function Spinner() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Spinner.prototype.render = function () {
        var _a = this.props, text = _a.text, hideText = _a.hideText;
        var textComponent = hideText ? (React.createElement(ScreenreaderText, null, text)) : (React.createElement(Text, __assign({}, this.getLabelProps()), text));
        return (React.createElement("div", { className: this.getClasses() },
            React.createElement(FabricSpinner, __assign({}, this.getSpinnerProps())),
            textComponent));
    };
    Spinner.prototype.getClasses = function () {
        var _a = this.props, isCentered = _a.isCentered, className = _a.className, color = _a.color, size = _a.size;
        var classes = ['y-spinner', "y-spinner__color-" + color, "y-spinner__size-" + size];
        if (isCentered) {
            classes.push('y-spinner__isCentered');
        }
        if (className) {
            classes.push(className);
        }
        return classes.join(' ');
    };
    Spinner.prototype.getSpinnerProps = function () {
        var size = this.props.size;
        return {
            className: 'y-spinner--circle',
            size: SizeMap[size],
        };
    };
    Spinner.prototype.getLabelProps = function () {
        var _a = this.props, color = _a.color, size = _a.size;
        var textColor = TextColor.PRIMARY;
        if (color === SpinnerColor.DARK) {
            textColor = TextColor.WHITE;
        }
        else if (color === SpinnerColor.METADATA) {
            textColor = TextColor.METADATA;
        }
        return {
            color: textColor,
            size: size === SpinnerSize.XSMALL ? TextSize.SMALL : TextSize.MEDIUM_SUB,
            className: 'y-spinner--label',
        };
    };
    Spinner.defaultProps = {
        hideText: false,
        color: SpinnerColor.LIGHT,
        size: SpinnerSize.MEDIUM,
    };
    return Spinner;
}(React.Component));
export default Spinner;
var _a;
//# sourceMappingURL=Spinner.js.map