var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
import '../../yamui';
import * as React from 'react';
import { join } from '../../util/classNames';
import { BlockContext } from '../Block';
import { TextColor, TextSize } from './types';
import ScreenReaderText from '../ScreenreaderText';
import { getStyles } from './Text.styles';
import { mergeStyles } from '@uifabric/styling';
export { TextColor, TextSize };
/**
 * A `Text` component simply renders a `span`. It offers size and color props so UI features don't
 * need to own this CSS. This is both a convenience for engineers and a way to enforce consistency
 * of supported text colors and `font-size`/`line-height` combinations.
 */
var Text = /** @class */ (function (_super) {
    __extends(Text, _super);
    function Text() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Text.prototype.render = function () {
        var _this = this;
        return React.createElement(BlockContext.Consumer, null, function (blockContext) { return _this.getContent(blockContext.textSize); });
    };
    Text.prototype.getContent = function (blockTextSize) {
        var _a = this.props, children = _a.children, screenreaderText = _a.screenreaderText;
        var classes = this.getClasses(blockTextSize);
        if (screenreaderText !== undefined) {
            return (React.createElement("span", { className: classes },
                React.createElement("span", { "aria-hidden": true }, children),
                React.createElement(ScreenReaderText, null, screenreaderText)));
        }
        return React.createElement("span", { className: classes }, children);
    };
    Text.prototype.getClasses = function (blockTextSize) {
        var _a = this.props, className = _a.className, size = _a.size, maxWidth = _a.maxWidth;
        return join([
            'y-text',
            size ? "y-textSize-" + size : '',
            maxWidth ? 'y-text__ellipsis' : '',
            className,
            mergeStyles(getStyles(__assign({}, this.props, { blockTextSize: blockTextSize }))),
        ]);
    };
    return Text;
}(React.Component));
export default Text;
//# sourceMappingURL=Text.js.map