/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
import * as React from 'react';
import { shallow } from 'enzyme';
import TextArea from '.';
describe('<TextArea />', function () {
    var component;
    describe('with default options', function () {
        beforeEach(function () {
            component = shallow(React.createElement(TextArea, null))
                .dive()
                .dive()
                .dive();
        });
        it('matches its snapshot', function () {
            expect(component).toMatchSnapshot();
        });
    });
    describe('with all options', function () {
        beforeEach(function () {
            component = shallow(React.createElement(TextArea, { ariaLabel: "ARIA_LABEL", rows: 2, autoAdjustHeight: true, className: "CLASS", value: "VALUE", label: "LABEL", description: "DESCRIPTION", disabled: true, required: true, errorMessage: "ERROR MESSAGE", placeHolder: "PLACEHOLDER", onFocus: jest.fn().mockName('onFocus'), onBlur: jest.fn().mockName('onBlur'), onMouseEnter: jest.fn().mockName('onMouseEnter'), onMouseLeave: jest.fn().mockName('onMouseLeave') }))
                .dive()
                .dive()
                .dive();
        });
        it('matches its snapshot', function () {
            expect(component).toMatchSnapshot();
        });
    });
    describe('with description and no error', function () {
        beforeEach(function () {
            component = shallow(React.createElement(TextArea, { description: "DESCRIPTION" }))
                .dive()
                .dive()
                .dive();
        });
        it('matches its snapshot', function () {
            expect(component).toMatchSnapshot();
        });
    });
});
//# sourceMappingURL=TextArea.test.js.map