var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
import '../../yamui';
import * as React from 'react';
import { join } from '../../util/classNames';
import { TooltipDelay, TooltipHost } from 'office-ui-fabric-react/lib/Tooltip';
import { getTooltipStyles, getCalloutStyles } from './Tooltip.styles';
import './Tooltip.css';
/**
 * Tooltip wraps other content and provides additional context on hover or keyboard selection.
 */
var Tooltip = /** @class */ (function (_super) {
    __extends(Tooltip, _super);
    function Tooltip() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Tooltip.prototype.render = function () {
        var _a = this.props, className = _a.className, children = _a.children, directionalHint = _a.directionalHint, text = _a.text;
        return (React.createElement(TooltipHost, { content: text, directionalHint: directionalHint, delay: TooltipDelay.medium, hostClassName: join(['y-tooltip', className]), calloutProps: { styles: getCalloutStyles(this.props), beakWidth: 8 }, tooltipProps: { styles: getTooltipStyles(this.props) } }, children));
    };
    return Tooltip;
}(React.Component));
export default Tooltip;
//# sourceMappingURL=Tooltip.js.map