/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
import { palette } from '../../util/colors';
import { lineHeights, fontSizes } from '../../util/styles/fonts';
import { borderRadiusSoft } from '../../util/styles/borders';
export var getTooltipStyles = function (_) {
    return {
        root: {
            lineHeight: '1',
        },
        content: {
            display: 'inline-block',
        },
        subText: {
            fontSize: fontSizes.small,
            lineHeight: lineHeights.small,
            color: palette.white,
        },
    };
};
export var getCalloutStyles = function (_) {
    return {
        container: {
            backgroundColor: 'inherit',
        },
        root: {
            backgroundColor: 'inherit',
            boxShadow: 'none',
            padding: '0.7rem 1.2rem 0.8rem',
            minHeight: '3.2rem',
            zIndex: 1000,
            border: 'none',
        },
        beak: {
            backgroundColor: palette.neutralPrimary,
        },
        beakCurtain: {
            backgroundColor: palette.neutralPrimary,
            borderRadius: borderRadiusSoft,
        },
        calloutMain: {
            backgroundColor: palette.neutralPrimary,
        },
    };
};
//# sourceMappingURL=Tooltip.styles.js.map