var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
import '../../yamui';
import * as React from 'react';
import Observer from 'react-intersection-observer';
/**
 * VisibilityObserver uses the IntersectionObserver API to allow conditional child rendering and callbacks based
 * on viewport visibility. It will render the `renderOutOfView` prop until it is scrolled into view, then will
 * always render the `renderInView` prop instead. Callbacks will always be triggered on visibility changes.
 */
var VisibilityObserver = /** @class */ (function (_super) {
    __extends(VisibilityObserver, _super);
    function VisibilityObserver(props) {
        var _this = _super.call(this, props) || this;
        _this.getObserverChildren = function (isVisible) {
            var _a = _this.props, renderInView = _a.renderInView, renderOutOfView = _a.renderOutOfView;
            var shouldRenderAsInView = isVisible || _this.state.hasBeenInView;
            if (shouldRenderAsInView && renderInView) {
                return renderInView();
            }
            if (!isVisible && renderOutOfView) {
                return renderOutOfView();
            }
            return null;
        };
        _this.onVisibilityChange = function (isVisible) {
            if (isVisible) {
                _this.setState({ hasBeenInView: true });
                if (_this.props.onEnterView) {
                    _this.props.onEnterView();
                }
            }
            else {
                if (_this.props.onLeaveView) {
                    _this.props.onLeaveView();
                }
            }
        };
        _this.state = {
            hasBeenInView: false,
        };
        return _this;
    }
    VisibilityObserver.prototype.render = function () {
        var _a = this.props, rootMargin = _a.rootMargin, tag = _a.tag;
        return (React.createElement(Observer, { tag: tag || 'div', rootMargin: rootMargin, onChange: this.onVisibilityChange, render: this.getObserverChildren }));
    };
    return VisibilityObserver;
}(React.Component));
export default VisibilityObserver;
//# sourceMappingURL=VisibilityObserver.js.map