var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
import * as React from 'react';
import Avatar, { AvatarSize } from '../../components/Avatar';
import Block, { GutterSize, TextSize } from '../../components/Block';
import Button, { ButtonColor } from '../../components/Button';
import { HovercardHeader, HovercardBody } from '../../components/Hovercard';
import { LayoutList, LayoutListItem } from '../../components/LayoutList';
import Image from '../../components/Image';
import MediaObject, { MediaObjectSize } from '../../components/MediaObject';
var memberImage = 'user.png';
var memberAvatar1 = React.createElement(Avatar, { imageUrl: memberImage, name: "Annie Antelope", size: AvatarSize.XSMALL });
var memberAvatar2 = React.createElement(Avatar, { imageUrl: memberImage, name: "Bobby Baboon", size: AvatarSize.XSMALL });
var memberAvatar3 = React.createElement(Avatar, { imageUrl: memberImage, name: "Charles Caribou", size: AvatarSize.XSMALL });
var memberAvatar4 = React.createElement(Avatar, { imageUrl: memberImage, name: "Daniel Dingo", size: AvatarSize.XSMALL });
var memberAvatar5 = React.createElement(Avatar, { imageUrl: memberImage, name: "Eleanor Elephant", size: AvatarSize.XSMALL });
var FileHovercard = /** @class */ (function (_super) {
    __extends(FileHovercard, _super);
    function FileHovercard() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    FileHovercard.prototype.render = function () {
        var file = this.props.file;
        var fileImage = React.createElement(Image, { source: file.imageUrl, description: file.description, fullWidth: true });
        return (React.createElement("div", null,
            React.createElement(HovercardHeader, null,
                React.createElement(MediaObject, { size: MediaObjectSize.LARGE, imageContent: fileImage, titleContent: file.name, metadataContent: file.location })),
            React.createElement(HovercardBody, null,
                React.createElement(Block, { textSize: TextSize.MEDIUM_SUB },
                    React.createElement(Block, { bottomSpacing: GutterSize.XXLARGE },
                        React.createElement(Block, { bottomSpacing: GutterSize.XSMALL }, "72 followers"),
                        React.createElement(LayoutList, { direction: "horizontal" },
                            React.createElement(LayoutListItem, null, memberAvatar1),
                            React.createElement(LayoutListItem, null, memberAvatar2),
                            React.createElement(LayoutListItem, null, memberAvatar3),
                            React.createElement(LayoutListItem, null, memberAvatar4),
                            React.createElement(LayoutListItem, null, memberAvatar5))),
                    React.createElement(LayoutList, { direction: "horizontal", align: "right" },
                        React.createElement(LayoutListItem, null,
                            React.createElement(Button, { text: "Go To File" })),
                        React.createElement(LayoutListItem, null,
                            React.createElement(Button, { text: "Preview", color: ButtonColor.PRIMARY })))))));
    };
    return FileHovercard;
}(React.Component));
export default FileHovercard;
//# sourceMappingURL=FileHovercard.js.map