var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
import * as React from 'react';
import Avatar, { BorderType, AvatarSize } from '../../components/Avatar';
import Block, { GutterSize, TextSize } from '../../components/Block';
import Button, { ButtonColor } from '../../components/Button';
import { HovercardHeader, HovercardBody } from '../../components/Hovercard';
import FakeLink from '../../components/FakeLink';
import { FixedGridRow, FixedGridColumn } from '../../components/FixedGrid';
import { LayoutList, LayoutListItem } from '../../components/LayoutList';
import { IconSize } from '../../components/Icon';
import Add from '../../components/Icon/icons/Add';
import Group from '../../components/Icon/icons/Group';
import Lock from '../../components/Icon/icons/Lock';
import MediaObject, { MediaObjectSize } from '../../components/MediaObject';
var iconGroup = React.createElement(Group, { size: IconSize.MEDIUM, block: true, color: "#a8b0bd" });
var iconPrivate = React.createElement(Lock, { size: IconSize.XSMALL, color: "#a8b0bd" });
var memberImage = 'user.png';
var memberAvatar1 = React.createElement(Avatar, { imageUrl: memberImage, name: "Annie Antelope", size: AvatarSize.XSMALL });
var memberAvatar2 = React.createElement(Avatar, { imageUrl: memberImage, name: "Bobby Baboon", size: AvatarSize.XSMALL });
var memberAvatar3 = React.createElement(Avatar, { imageUrl: memberImage, name: "Charles Caribou", size: AvatarSize.XSMALL });
var memberAvatar4 = React.createElement(Avatar, { imageUrl: memberImage, name: "Daniel Dingo", size: AvatarSize.XSMALL });
var memberAvatar5 = React.createElement(Avatar, { imageUrl: memberImage, name: "Eleanor Elephant", size: AvatarSize.XSMALL });
var relatedGroups = (React.createElement("span", null,
    "Related groups: ",
    React.createElement(FakeLink, null, "Frontend Team"),
    ", ",
    React.createElement(FakeLink, null, "Engineering Team"),
    ",",
    ' ',
    React.createElement(FakeLink, null, "Yammer Team"),
    ", and ",
    React.createElement(FakeLink, null, "Performance Domain")));
var GroupHovercard = /** @class */ (function (_super) {
    __extends(GroupHovercard, _super);
    function GroupHovercard() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    GroupHovercard.prototype.render = function () {
        var group = this.props.group;
        var groupAvatar = (React.createElement(Avatar, { imageUrl: group.imageUrl, name: group.name, size: AvatarSize.LARGE, borderType: BorderType.SOFT }));
        var groupMetadata = (React.createElement("span", null,
            iconPrivate,
            " ",
            group.privacy));
        return (React.createElement("div", null,
            React.createElement(HovercardHeader, null,
                React.createElement(MediaObject, { size: MediaObjectSize.LARGE, imageContent: groupAvatar, titleContent: group.name, metadataContent: groupMetadata })),
            React.createElement(HovercardBody, null,
                React.createElement(Block, { textSize: TextSize.MEDIUM_SUB },
                    React.createElement(Block, { bottomSpacing: GutterSize.MEDIUM, push: 1 }, group.description),
                    React.createElement(Block, { bottomSpacing: GutterSize.LARGE },
                        React.createElement(Block, { bottomSpacing: GutterSize.XSMALL }, "102 members"),
                        React.createElement(LayoutList, { direction: "horizontal" },
                            React.createElement(LayoutListItem, null, memberAvatar1),
                            React.createElement(LayoutListItem, null, memberAvatar2),
                            React.createElement(LayoutListItem, null, memberAvatar3),
                            React.createElement(LayoutListItem, null, memberAvatar4),
                            React.createElement(LayoutListItem, null, memberAvatar5))),
                    React.createElement(FixedGridRow, { bottomSpacing: GutterSize.XXLARGE, gutterSize: GutterSize.SMALL },
                        React.createElement(FixedGridColumn, { fixed: true }, iconGroup),
                        React.createElement(FixedGridColumn, null, relatedGroups)),
                    React.createElement(Block, { textAlign: "right" },
                        React.createElement(Button, { text: "Join", color: ButtonColor.PRIMARY, icon: Add }))))));
    };
    return GroupHovercard;
}(React.Component));
export default GroupHovercard;
//# sourceMappingURL=GroupHovercard.js.map