var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
import * as React from 'react';
import Avatar, { AvatarSize } from '../../components/Avatar';
import Block, { GutterSize, TextSize } from '../../components/Block';
import Button, { ButtonColor } from '../../components/Button';
import { HovercardHeader, HovercardBody } from '../../components/Hovercard';
import FakeLink from '../../components/FakeLink';
import { FixedGridRow, FixedGridColumn } from '../../components/FixedGrid';
import { LayoutList, LayoutListItem } from '../../components/LayoutList';
import { IconSize } from '../../components/Icon';
import Add from '../../components/Icon/icons/Add';
import Group from '../../components/Icon/icons/Group';
import Mail from '../../components/Icon/icons/Mail';
import Phone from '../../components/Icon/icons/Phone';
import MediaObject, { MediaObjectSize } from '../../components/MediaObject';
var iconMail = React.createElement(Mail, { size: IconSize.MEDIUM, block: true, color: "#a8b0bd" });
var iconGroup = React.createElement(Group, { size: IconSize.MEDIUM, block: true, color: "#a8b0bd" });
var iconPhone = React.createElement(Phone, { size: IconSize.MEDIUM, block: true, color: "#a8b0bd" });
var groupLink1 = React.createElement(FakeLink, null, "Frontend Team");
var groupLink2 = React.createElement(FakeLink, null, "Engineering Team");
var groupLink3 = React.createElement(FakeLink, null, "Yammer Team");
var groupLink4 = React.createElement(FakeLink, null, "Performance Domain");
var groupLink5 = React.createElement(FakeLink, null, "Mobile Signup Project");
var userGroups = (React.createElement("span", null,
    "Groups: ",
    groupLink1,
    ", ",
    groupLink2,
    ", ",
    groupLink3,
    ", ",
    groupLink4,
    ", ",
    groupLink5,
    " and 95 more"));
var UserHovercard = /** @class */ (function (_super) {
    __extends(UserHovercard, _super);
    function UserHovercard() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    UserHovercard.prototype.render = function () {
        var user = this.props.user;
        var userEmailLink = React.createElement(FakeLink, null, user.email);
        var userAvatar = React.createElement(Avatar, { imageUrl: user.imageUrl, name: user.name, size: AvatarSize.LARGE });
        return (React.createElement("div", null,
            React.createElement(HovercardHeader, null,
                React.createElement(MediaObject, { size: MediaObjectSize.LARGE, imageContent: userAvatar, titleContent: user.name, metadataContent: user.jobTitle })),
            React.createElement(HovercardBody, null,
                React.createElement(Block, { textSize: TextSize.MEDIUM_SUB },
                    React.createElement(Block, { bottomSpacing: GutterSize.LARGE },
                        React.createElement(FixedGridRow, { gutterSize: GutterSize.SMALL, bottomSpacing: GutterSize.XSMALL },
                            React.createElement(FixedGridColumn, { fixed: true }, iconMail),
                            React.createElement(FixedGridColumn, null, userEmailLink)),
                        React.createElement(FixedGridRow, { gutterSize: GutterSize.SMALL, bottomSpacing: GutterSize.XSMALL },
                            React.createElement(FixedGridColumn, { fixed: true }, iconPhone),
                            React.createElement(FixedGridColumn, null, user.phone)),
                        React.createElement(FixedGridRow, { gutterSize: GutterSize.SMALL, bottomSpacing: GutterSize.XSMALL },
                            React.createElement(FixedGridColumn, { fixed: true }, iconPhone),
                            React.createElement(FixedGridColumn, null, user.mobile))),
                    React.createElement(FixedGridRow, { bottomSpacing: GutterSize.XXLARGE, gutterSize: GutterSize.SMALL },
                        React.createElement(FixedGridColumn, { fixed: true }, iconGroup),
                        React.createElement(FixedGridColumn, null, userGroups)),
                    React.createElement(LayoutList, { direction: "horizontal", align: "right" },
                        React.createElement(LayoutListItem, null,
                            React.createElement(Button, { text: "Send Message" })),
                        React.createElement(LayoutListItem, null,
                            React.createElement(Button, { text: "Follow", color: ButtonColor.PRIMARY, icon: Add })))))));
    };
    return UserHovercard;
}(React.Component));
export default UserHovercard;
//# sourceMappingURL=UserHovercard.js.map