var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
import * as React from 'react';
import { Async } from 'office-ui-fabric-react/lib/Utilities';
var DebouncedOnChangeComponent = /** @class */ (function (_super) {
    __extends(DebouncedOnChangeComponent, _super);
    function DebouncedOnChangeComponent(props) {
        var _this = _super.call(this, props) || this;
        _this.handleChange = function (newValue) {
            if (_this.props.onChange) {
                _this.props.onChange(newValue);
            }
            if (_this.props.debouncedOnChange && _this.debouncedOnChange) {
                _this.debouncedOnChange(newValue);
            }
        };
        if (props.debouncedOnChange) {
            _this.async = new Async(_this);
            _this.debouncedOnChange = _this.async.debounce(props.debouncedOnChange, props.debouncedOnChangeTime);
        }
        return _this;
    }
    DebouncedOnChangeComponent.prototype.render = function () {
        var ComposedComponent = this.props.component;
        return React.createElement(ComposedComponent, __assign({}, this.props, { unifiedOnChange: this.handleChange }));
    };
    DebouncedOnChangeComponent.prototype.componentWillUnmount = function () {
        if (this.async) {
            this.async.dispose();
        }
    };
    DebouncedOnChangeComponent.defaultProps = {
        debouncedOnChangeTime: 700,
    };
    return DebouncedOnChangeComponent;
}(React.Component));
export default DebouncedOnChangeComponent;
//# sourceMappingURL=index.js.map