/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
import KeyboardNavigationEventListener from './KeyboardNavigationEventListener';
describe('KeyboardNavigationEventListener', function () {
    var listener;
    var callback1;
    var callback2;
    beforeEach(function () {
        listener = new KeyboardNavigationEventListener(document.body);
        callback1 = jest.fn();
        callback2 = jest.fn();
        listener.subscribe(callback1);
        listener.subscribe(callback2);
    });
    afterEach(function () {
        listener.destroy();
        jest.resetAllMocks();
    });
    it('is in mouse mode by default', function () {
        expect(listener.getMode()).toBe('mouse');
    });
    /**
     * NOTE: Jest/JSDom are not allowing any events to be created on DOM elements outside of ReactTestUtils :(
     */
});
//# sourceMappingURL=KeyboardNavigationEventListener.test.js.map