/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
import KeyboardNavigationEventListener from './KeyboardNavigationEventListener';
var navListener;
var ensureInit = function () {
    if (!navListener) {
        navListener = new KeyboardNavigationEventListener(document.body);
    }
};
export var getMode = function () {
    ensureInit();
    return navListener.getMode();
};
export var subscribe = function (callback) {
    ensureInit();
    navListener.subscribe(callback);
};
export var unsubscribe = function (callback) {
    ensureInit();
    navListener.unsubscribe(callback);
};
//# sourceMappingURL=keyboardNavigation.js.map