/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
import { join } from './classNames';
describe('classNames', function () {
    var emptyArray = [];
    var oneStringItem = ['one'];
    var twoStringItems = ['one', 'two'];
    var threeStringItems = ['one', 'two', 'three'];
    var arrayWithEmptyItems = ['one', undefined, 'three'];
    describe('join()', function () {
        it('returns empty string for empty array', function () {
            expect(join(emptyArray)).toBe('');
        });
        it('handles one item', function () {
            expect(join(oneStringItem)).toBe('one');
        });
        it('handles two items', function () {
            expect(join(twoStringItems)).toBe('one two');
        });
        it('handles three items', function () {
            expect(join(threeStringItems)).toBe('one two three');
        });
        it('handles empty items', function () {
            expect(join(arrayWithEmptyItems)).toBe('one three');
        });
    });
});
//# sourceMappingURL=classNames.test.js.map