/*! Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license. */
import { palette, semanticColors } from '../../util/colors';
export var fontSizes = {
    xSmall: '1.0rem',
    small: '1.2rem',
    mediumSub: '1.4rem',
    medium: '1.5rem',
    large: '1.8rem',
    xLarge: '2.2rem',
    xxLarge: '2.4rem',
};
export var lineHeights = {
    xSmall: '1.6rem',
    small: '1.6rem',
    mediumSub: '2.0rem',
    medium: '2.0rem',
    large: '2.4rem',
    xLarge: '2.8rem',
    xxLarge: '2.8rem',
};
export var verticalAligns = {
    xSmall: '-0.4rem',
    small: '-0.3rem',
    mediumSub: '-0.5rem',
    medium: '-0.4rem',
    large: '-0.5rem',
    xLarge: '-0.5rem',
    xxLarge: '-0.4rem',
};
export var textColors = {
    primary: semanticColors.bodyText,
    secondary: palette.neutralPrimaryAlt,
    metadata: palette.neutralSecondary,
    white: palette.white,
    error: palette.redDark,
    disabled: semanticColors.disabledBodyText,
};
export var fontWeights = {
    normal: '400',
    bold: '600',
};
export var ellipsisStyle = {
    overflow: 'hidden',
    textOverflow: 'ellipsis',
    whiteSpace: 'nowrap',
};
//# sourceMappingURL=fonts.js.map